var Q_step = cc.Class.extend({
	_Read:function( data ){
		var self = this;
        /** 光武编号 */
        self.q_id = data.ReadInt();
        /** 光武名称 */
        self.q_name = data.ReadString();
        /** 名字颜色，支持html语法 */
        self.q_name_color = data.ReadString();
        /** 光武界面光武名称美术字体编号 */
        self.q_name_artistic = data.ReadInt();
        /** 是否可被攻击(0不允许，1允许） */
        self.q_hit = data.ReadInt();
        /** 被攻击最大损失血量（无论是什么攻击都仅扣除1滴血） */
        self.q_hp_lose = data.ReadInt();
        /** 光武头像ICON资源编号 */
        self.q_head_ico_id = data.ReadInt();
        /** 光武面板展示用造型资源编号 */
        self.q_panel_show_id = data.ReadInt();
        /** 场景中使用光武造型资源编号 */
        self.q_scene_show_id = data.ReadInt();
        /** 光武特效 */
        self.q_effect = data.ReadInt();
        /** 光武描述文本 */
        self.q_introduce = data.ReadString();
        /** 对应的技能格子的技能可被激活 */
        self.q_skill = data.ReadInt();
        
	}
});

(function(){
	/** 配置数据列表*/
	Q_step.list = Q_step.list|| [];
	/** 配置数据索引*/
	Q_step.map = Q_step.map || {};
	
	/** 设置配置数据*/
	Q_step.SetData = Q_step.SetData || function( data ){

		var list = Q_step.list;
		var map = Q_step.map;

		Q_step.version = data.ReadInt();

		var len = data.ReadInt();
		var bean = null;

		for ( var i = 0; i < len; ++i ){
			bean = new Q_step();
			bean._Read( data );
			list.push( bean );
			map[String(bean.q_id)] = bean;
		}
	};

	/** 获取配置数据列表*/
	Q_step.GetList = Q_step.GetList || function(){
		return Q_step.list;
	};

	/** 根据ID获取对应配置数据*/
	Q_step.Get = Q_step.Get || function( id ){
		return Q_step.map[ id ];
	};
})();