var DisguiseModMgr = DisguiseModMgr || cc.Class.extend({
		disguiseList:null,
		useDisguiseId:null,
		useDisguiseInfo:null,
		chooseId:null,
		isInit:true,
		ctor:function() {
		},

		RecvResDisguiseDataInfoToClientMessage:function(msg) {
			this.disguiseList = msg.disguiseDataInfo.disguiseInfoList;
			this.useDisguiseId=msg.disguiseDataInfo.useDisguiseId;
			for(var i = 0; i < this.disguiseList.length; i++){
				if(this.disguiseList[i].disguiseId == this.useDisguiseId)
					this.useDisguiseInfo = this.disguiseList[i];
			}
			if(!this.isInit){
				// Mgr.player.shortPanel.
				this.isInit=true;
				Mgr.player.shortPanel.UpDataDisguiseWarn();
        	}
		},

		RecvResAddDisguiseToClientMessage:function(msg) {
			Mgr.disguise.chooseId = msg.disguiseId;
			this.SendReqDisguiseDataInfoToGameMessage( msg.disguiseId );
			var panel = Mgr.uiMgr.GetPanelByType(YiRongPanelExt.PanelName);
			if(panel && panel.visible)
			{
				this.disPanel.Update();
			}
			Mgr.player.shortPanel.UpDataDisguiseWarn();
			panel = EngineMgr.uiMgr.ShowPanelByType(NewFuncCueExt.PanelName);
			if( panel ){
				panel.ShowDisguise(msg.disguiseId);
			}
		},

		RecvResChangeDisguiseToClientMessage:function(msg) {
			var player = Mgr.sceneObj.FindObject(msg.playerId.toGID());
			if (player) {
				player.nDisguiseId = msg.disguiseId;
				player.RefreshShowBody();
				if (player == Mgr.mainPlayer) {
					this.useDisguiseId = msg.disguiseId;
					var panel = Mgr.uiMgr.GetPanelByType(YiRongPanelExt.PanelName);
					if (panel && panel.visible) {
						this.disPanel.Update();
					}
				}
			}
		},

		RecvResDisguiseInfoToClientMessage:function(msg){
			var panel = Mgr.uiMgr.GetPanelByType(YiRongJinjieExt.PanelName);
			if(panel)
            	panel.RefreshPanel(msg.disguiseInfo);
            if(panel && panel.isAuto && msg.disguiseInfo.disguiseStar < 10){
                TimerUtil.SetTimeout(this, function(){
                    Mgr.disguise.SendReqDisguiseUpToGameMessage(Mgr.disguise.chooseId);
                },300);
			}

			var isNew = true;
			for( var i = 0, len = this.disguiseList.length; i < len; i++ ){
				if( this.disguiseList[i].disguiseId == msg.disguiseInfo.disguiseId ){
					this.disguiseList[i] = msg.disguiseInfo;
					isNew = false;
					break;
				}
			}
			if( isNew ){
				this.disguiseList.push(msg.disguiseInfo);
				msg.disguiseInfo.isNew = true;
			}
			Mgr.disguise.newDisguiseId = msg.disguiseInfo.disguiseId;
            Mgr.uiMgr.GetPanelByType(YiRongPanelExt.PanelName);
			Mgr.disguise.newDisguiseId = 0;
		},

		RecvResDisguiseUpResultToClientMessage:function(msg){
            // var panel = Mgr.uiMgr.GetPanelByType(YiRongJinjieExt.PanelName);
            // if (panel && panel.visible) {
            //     panel.RefreshPanel();
            // }

			if(msg.type == 0){
				if(msg.result)
                    Mgr.tips.ShowNotice("升星失败");
				else{
                    Mgr.tips.ShowNotice("升星成功");
                    var panel = EngineMgr.uiMgr.GetPanelByType(YiRongJinjieExt.PanelName);
                    if(panel)
                    	panel.Success();
				}
			}
			else if(msg.type == 1){
                if(msg.result)
                    Mgr.tips.ShowNotice("突破失败");
                else
                    Mgr.tips.ShowNotice("突破成功");
			}
		},

		SendReqDisguiseDataInfoToGameMessage:function(id) {
			var msg=new ReqDisguiseDataInfoToGameMessage();
			if(id)
				msg.disguiseId = id;
			Mgr.msgMgr.Send( msg );
		},

		SendReqUseDisguiseToGameMessage:function(id) {	     //易容
			var msg= new ReqUseDisguiseToGameMessage();
			msg.disguiseId=id;
			Mgr.msgMgr.Send( msg );
		},

		SendReqAddDisguiseToGameMessage:function(id) {         //激活
			var msg=new ReqAddDisguiseToGameMessage();
			msg.disguiseId=id;
			Mgr.msgMgr.Send( msg );
		},

		SendReqDisguiseUpToGameMessage:function(id){
			var msg = new ReqDisguiseUpToGameMessage();
			msg.disguiseId = id;
			Mgr.msgMgr.Send(msg);
		},

		SendReqDisguiseAdvanceUpToGameMessage:function(id){
            var msg = new ReqDisguiseAdvanceUpToGameMessage();
            msg.disguiseId = id;
            Mgr.msgMgr.Send(msg);
		},

		GetChooseInfo:function(){
			for(var i = 0; i < this.disguiseList.length; i++){
				if(this.chooseId == this.disguiseList[i].disguiseId)
					return this.disguiseList[i];
			}
			return this.disguiseList[0];
		},

		IsWear:function(id){
			if (id == this.useDisguiseId)
				return true
			return false;
		},
		IsHave:function(id){
			for(var i=0;i<this.disguiseList.length;++i) {
				if (id == this.disguiseList[i].disguiseId)
					return true
			}
			return false;
		},
		UseItem:function(item){
			// 易容，直接激活
			var model = Q_item.Get(item.itemModelId);
			var allList = Q_disguise.GetList();
			for(var k =0;k!=allList.length;++k){
				var v = allList[k];
				// 道具激活
				if(v.q_activate_type == 3){
					var data = JSON.parse(v.q_activate_need);
					if(data[0] == model.q_id){
						if(item.itemNum >= data[1]){
							// 使用
							Mgr.disguise.SendReqAddDisguiseToGameMessage(v.q_id);
						}else{
							Mgr.tips.ShowNotice("道具所需数量不足");
						}
						break;
					}
				}
			}
		}
});