var YiRongJinjieExt = YiRongJinjie.extend ( {
	_className:"YiRongJinjieExt",

	id:null,

    info:null,

    timeId:0,
    isAuto:false,

    arrow:null,
	arrowX:null,
    arrowY:null,
    tip:null,

    disguiseUp:null,
    disguiseStar:null,

	imgDianList:[],

	ctor:function(){
		this._super();
	},

    Init:function(){
        YiRongJinjie.prototype.Init.call(this);

        this.btnTupo.visible = false;
        this.reorderChild(this.btnTupo, 4);
        this.imgJiantou.visible = false;
        this.arrowX = this.imgJiantou.x;
        this.arrowY = this.imgJiantou.y;

        this.btnClose.addClickEventListener(function(event){
            EngineMgr.uiMgr.HidePanelByType(YiRongJinjieExt.PanelName);
		});

        this.imgDianList = [{btn : this.imgDian1, 	level : 1},
            				{btn : this.imgDian, 	level : 2},
							{btn : this.imgDian2, 	level : 3},
							{btn : this.imgDian3, 	level : 4},
							{btn : this.imgDian4, 	level : 5},
							{btn : this.imgDian5, 	level : 6},
							{btn : this.imgDian6,	level : 7},
							{btn : this.imgDian7, 	level : 8},
							{btn : this.imgDian8, 	level : 9},
            				{btn : this.imgDian9, 	level : 10}];

        var self = this;
        this.btnJinjie.addClickEventListener(function(event){
        	if(self.disguiseStar < 10){
                Mgr.disguise.SendReqDisguiseUpToGameMessage(Mgr.disguise.chooseId);
			}
			else{
                Mgr.tips.ShowNotice("突破！");
			}
		});

        this.btnJinjie1.addClickEventListener(function(event){
            if(self.isAuto){
                self.isAuto = false;
                self.btnJinjie1.setTitleText("一键进阶");
                self.btnJinjie.visible = true;
                // TimerUtil.ClearTimeUpdate(self.timeId,self);
            }
            else{
                self.isAuto = true;
                self.btnJinjie1.setTitleText("取消");
                self.btnJinjie.visible = false;
                Mgr.disguise.SendReqDisguiseUpToGameMessage(Mgr.disguise.chooseId);
                // self.timeId = TimerUtil.TimeUpdate(self.AutoAdvance, self, 1);
            }
        });

        this.btnTupo.addClickEventListener(function(event){
            // Mgr.disguise.SendReqDisguiseUpToGameMessage(Mgr.disguise.chooseId);
            self.GatherSpot();
            TimerUtil.SetTimeout(this, function(){
                var panel = EngineMgr.uiMgr.ShowPanelByType(TupoMainExt.PanelName);
                panel.SetData(self.info);
            },2000);
        });
    },

    OnShow:function(){
        Mgr.disguise.SendReqDisguiseDataInfoToGameMessage(Mgr.disguise.chooseId);
    },

    // AutoAdvance:function(){
	 //    cc.log("=======  AutoAdvance  =========== ")
    // },

    GatherSpot:function(){
        for(var i = 0; i < this.imgDianList.length; i++){
            UIUtil.LoadImage(this.imgDianList[i].btn, "other/yirong/image/yuandian1.png");
            this.imgDianList[i].btn.visible = true;
            if(this.imgDianList[i].atvaA){
                this.ShowAction(this.imgDianList[i].atvaA, 2);
            }
        }
    },

    ShowAction:function(node, time){
        var sposX = node.x;
        var sposY = node.y;

        var moveTo1 = cc.moveTo(time, cc.p(this.btnTupo.x + this.btnTupo.uiWidth/2, this.btnTupo.y + this.btnTupo.uiHeight/2));
        var easeIn1 = cc.EaseExponentialIn(moveTo1);
        var moveTo2 = cc.moveTo(1, cc.p(sposX, sposY));
        var easeIn2 = cc.EaseExponentialIn(moveTo2);
        var spawn = cc.Sequence(easeIn1, easeIn2);
        node.runAction(spawn);
    },

	RefreshPanel:function(disguiseInfo){
		var self = this;

        this.disguiseUp = disguiseInfo.disguiseUp;
		this.disguiseStar = disguiseInfo.disguiseStar;

        var nextStar, nextLevel;
        if(disguiseInfo.disguiseStar < 10){
            nextStar = disguiseInfo.disguiseStar + 1;
            nextLevel = disguiseInfo.disguiseUp;
            this.btnTupo.visible = false;
            if(this.isAuto)
                this.btnJinjie.visible = false;
            else
                this.btnJinjie.visible = true;
            this.btnJinjie1.visible = true;
        }
        else{
            nextStar = 0;
            nextLevel = disguiseInfo.disguiseUp + 1;
            this.btnTupo.visible = true;
            this.btnJinjie.visible = false;
            this.btnJinjie1.visible = false;
            if(this.arrow)
                this.arrow.visible = false;
            if(this.tip)
                this.tip.visible = false;

            if(this.isAuto){
                this.isAuto = false;
                this.btnJinjie1.setTitleText("一键进阶");
                TimerUtil.ClearTimeUpdate(this.timeId,self);
            }
        }

        var indexStr = Mgr.disguise.chooseId + "_" + nextLevel + "_" + nextStar;
        cc.log("indexStr:  " + indexStr);
        var info = Q_disguise_upgrade.Get(indexStr);
        // cc.log(JSON.stringify(info));
        this.info = info;

        this.labCue.SetHtmlText(TextUtil.FormatStr(this.labCue.GetHtmlText(), [info.q_probability/100 + "%"]));
        // this.labCue1.SetHtmlText(TextUtil.FormatStr(this.labCue1.GetHtmlText(), [info.q_item_num]));
        this.labCue1.SetHtmlText("<font color=\"#3a2707\">进阶需求：<font color=\"#2ed515\">"+ Q_item.Get(info.q_item_upgrade).q_name +"*" + info.q_item_num +"</font>");


        this.labLv.SetHtmlText(TextUtil.FormatStr(this.labLv.GetHtmlText(), [disguiseInfo.disguiseUp, disguiseInfo.disguiseStar]));

		for(var i = 0; i < this.imgDianList.length; i++){
            if(this.imgDianList[i].atvaA)
                this.imgDianList[i].atvaA.visible = false;
			if(this.imgDianList[i].level <= disguiseInfo.disguiseStar){
                this.imgDianList[i].btn.visible = false;
                // UIUtil.LoadImage(self.imgDianList[i].btn, "other/yirong/image/yuandian2.png");
                if(!this.imgDianList[i].atvaA){
                    var atvaA = new MAnimationObject();
                    // arrow.ParseJson(this.imgJiantou.jsonobj);
                    // arrow.Init();
                    this.imgXian.addChild(atvaA, 2);
                    atvaA.sResUrlBase = "res/animation/effect/ui/yirong/4";
                    // atvaA.scale = 2;
                    atvaA.DoAction("stand5", 4);
                    this.imgDianList[i].atvaA = atvaA;
                }
                this.imgDianList[i].atvaA.visible = true;
                this.imgDianList[i].atvaA.x = this.imgDianList[i].btn.x + this.imgDianList[i].btn.uiWidth/2;
                this.imgDianList[i].atvaA.y = this.imgDianList[i].btn.y + this.imgDianList[i].btn.uiHeight/2;
                // if(this.imgDianList[i].level == disguiseInfo.disguiseStar){
                //     var atva = new MAnimationObject();
                //     this.imgXian.addChild(atva, 2);
                //     atva.sResUrlBase = "res/animation/effect/ui/yirong/8";
                //     atva.DoAction("stand", 1);
                //     atva.CallbackAnimationPlayEnd  = function(){
                //         this.Dispose();
                //         this.removeFromParent();
                //     };
                //     atva.x = this.imgDianList[i].btn.x + this.imgDianList[i].btn.uiWidth/2;
                //     atva.y = this.imgDianList[i].btn.y + this.imgDianList[i].btn.uiHeight/2;
                //     // atva.scale = 2;
                //     // var url  = atva.sResUrlBase + "/" + "stand5" + "/" +"stand5";
                //     // atva.oDataDir = MAnimationMgr.GetActionData(url , atva);
                //     // var ccAnim = atva.oDataDir.GetDirAnim(4);
                //     // var anim = new cc.Animate(ccAnim);
                //     // anim.retain();
                //     // this.imgDianList[i].btn.runAction(anim);
                // }
                // else
                //     this.imgDianList[i].atvaA.visible = true;
			}
			else{
                if(this.imgDianList[i].level == disguiseInfo.disguiseStar + 1){
                    this.imgDianList[i].btn.visible = false;
                    if(!this.arrow){
                    	var arrow = new MAnimationObject();
                        // arrow.ParseJson(this.imgJiantou.jsonobj);
                        // arrow.Init();
                        this.imgXian.addChild(arrow, 2);
                        arrow.sResUrlBase = "res/animation/effect/ui/yirong/3";
                        arrow.scale = 2;
                        arrow.DoAction("stand5", 4);
                        this.arrow = arrow;
					}
                    this.arrow.visible = true;
					this.arrow.x = this.imgDianList[i].btn.x + this.imgDianList[i].btn.uiWidth/2;
                    this.arrow.y = this.imgDianList[i].btn.y + this.imgDianList[i].btn.uiHeight/2;
                    if(!this.tip){
                        this.tip = new JinjieTipsInfoExt();
                        this.tip.LoadPanel();
                        this.imgXian.addChild(this.tip, 2);
                    }
                    this.tip.visible = true;
                    this.tip.x = this.imgDianList[i].btn.x + this.imgDianList[i].btn.uiWidth - 10;
                    this.tip.y = this.imgDianList[i].btn.y - 15;
                    this.tip.SetData(info);
                }
                else{
                    this.imgDianList[i].btn.visible = true;
                    UIUtil.LoadImage(self.imgDianList[i].btn, "other/yirong/image/yuandian1.png");
                }
			}
		}
	},

    Success:function(){
        var atva = new MAnimationObject();
        this.imgXian.addChild(atva, 2);
        atva.sResUrlBase = "res/animation/effect/ui/yirong/8";
        atva.CallbackAnimationPlayEnd  = function(){
            atva.Dispose();
        };
        atva.DoAction("stand", 1);
        atva.x = this.imgDianList[this.disguiseStar - 1].btn.x + this.imgDianList[this.disguiseStar - 1].btn.uiWidth/2;
        atva.y = this.imgDianList[this.disguiseStar - 1].btn.y + this.imgDianList[this.disguiseStar - 1].btn.uiHeight/2;
    },

    OnHide:function(){
        this._super();
        var panel = EngineMgr.uiMgr.GetPanelByType(TupoMainExt.PanelName);
        if(panel)
            EngineMgr.uiMgr.HidePanelByType(TupoMainExt.PanelName);
        this.isAuto = false;
        this.btnJinjie1.setTitleText("一键进阶");
    }
} );
YiRongJinjieExt.PanelName = "YiRongJinjieExt";
PanelClassDic["YiRongJinjieExt"] = YiRongJinjieExt;
