﻿var DropModMgr = DropModMgr || cc.Class.extend({ 
	_dropZoneModelid:0,
		_dropMapModelid:0,
		_dropSimpleItemInfos:null,
    uniqueId:null,


	ctor:function() {	
	},

	ClearZoneDrop:function () {
		this._dropZoneModelid = 0;
		this._dropMapModelid = 0
		this._dropSimpleItemInfos = null;
	},

	GetDropSimpleItemInfos:function (zoneModelId) {
		if( zoneModelId == this._dropZoneModelid ){
			var itemHash = new HashMap();
			if( this._dropSimpleItemInfos ){
				for (var i = 0; i < this._dropSimpleItemInfos.length ; i ++){
					var iteminfo = itemHash.Get(this._dropSimpleItemInfos[ i ].itemModelId);
					if(iteminfo == null){
						itemHash.Put(this._dropSimpleItemInfos[ i ].itemModelId, this._dropSimpleItemInfos[ i ]);
					}else{
						iteminfo.num += this._dropSimpleItemInfos[ i ].num;
						itemHash.Put(iteminfo.itemModelId, iteminfo);
					}
				}
			}
			return itemHash.Values();
		}else{
			return null;
		}
	},

	RecvResDropBackpackToClientMessage:function (msg) {
		if(this._dropSimpleItemInfos && this._dropZoneModelid == msg.zoneModelid && this._dropMapModelid == msg.mapModelid){
			this._dropSimpleItemInfos = this._dropSimpleItemInfos.concat(msg.simpleItemInfos);
		}else{
			this._dropSimpleItemInfos = msg.simpleItemInfos;
		}
		this._dropZoneModelid = msg.zoneModelid;
		this._dropMapModelid = msg.mapModelid;

		if(Mgr.uiMgr.IsPanelShowByName(FubenWinExt.PanelName)){
			Mgr.uiMgr.GetPanelByType(FubenWinExt.PanelName).UpdateRaward();
		}
		if(Mgr.uiMgr.IsPanelShowByName(WendingCueExt.PanelName)){
			Mgr.uiMgr.GetPanelByType(WendingCueExt.PanelName).UpdateRaward();
		}
	},

	RecvResDropRollItemInfoMessage:function(msg) {
		cc.log("发送Roll点物品信息")
		this.uniqueId = msg.rollInfo.uniqueId;
        var panel = EngineMgr.uiMgr.ShowPanelByType(BossRollPanelExt.PanelName);
        panel.SetData(msg.rollInfo);
	},

    RecvResRollPointResultMessage:function(msg){
        cc.log("发送Roll点结果给玩家 " + msg.point)
		cc.log(msg.uniqueId  +  "  "  + this.uniqueId)
		if(msg.uniqueId.Equal(this.uniqueId))
        	Mgr.tips.ShowNotice("您本次投掷出" + TextUtil.AddColor(msg.point, "0x01ab25") + "点");
	},

    RecvResRollItemMaxPointInfoMessage:function(msg){
        cc.log("发送Roll点最大的玩家信 （广播） " + msg.point)
        cc.log(msg.uniqueId  +  "  "  + this.uniqueId)
        if(msg.uniqueId.Equal(this.uniqueId))
            Mgr.tips.ShowNotice("恭喜" + msg.playername + "投掷最大点数" + TextUtil.AddColor(msg.point, "0x01ab25") + "获得礼包");
	},

	SendReqRollPointMessage:function(uniqueId, type) {
		var msg = new ReqRollPointMessage();
		msg.uniqueId = uniqueId;
		msg.type = type;
        Mgr.msgMgr.Send(msg);
	}
});