var AwardZhanshiExt = AwardZhanshi.extend ( {
	_className:"AwardZhanshiExt",

    gridList:null,
    _listView:null,

	ctor:function(){
		this._super();
		this.gridList = [];
        this.layoutCom.layoutOffx = 257;
	},

    Init:function () {
        AwardZhanshi.prototype.Init.call( this );

        this.InitListView();

        var self=this;
        this.gridItem.visible = false;
        this.btnClose.addClickEventListener(function () {
            if (this.timerId)
                TimerUtil.ClearTimeUpdate(this.timerId, this);
            EngineMgr.uiMgr.HidePanel(self);
        });

        this.btnConfirm.addClickEventListener(function(){
            EngineMgr.uiMgr.HidePanel(self);
        })
    },

    InitListView:function(){
	    if(!this._listView){
            this._listView = new ccui.ListView();
            this._listView.setDirection(ccui.ScrollView.DIR_HORIZONTAL);//视图滚动方向
            this._listView.setTouchEnabled(true);					//触摸开启
            this._listView.inertiaScrollEnabled = false; 			//滚动惯性
            this._listView.setScrollBarEnabled(false);				//滚动条
            this._listView.setBounceEnabled(true);					//边界回弹
            this.imgFrame.addChild(this._listView);
        }
    },

    SetData:function (itemList,id){
        this.btnConfirm.visible = false;
        this.labCue2.visible = true;
        var _height = 0;

        this.labCue.SetString("开启礼包");
	    var str = TextUtil.AddColor(Q_item.Get(id).q_name, "2ed515");
	    this.labCue1.SetText("获得" + str + "物品");
	    var i = 0;
	    for(; i < itemList.length; i++){
	        if(!this.gridList[i]){
	            var grid = new MUIGrid();
                grid.ParseJson(this.gridItem.jsonobj);
                grid.Init();
                _height = grid.uiHeight;
                this._listView.pushBackCustomItem(grid);
                this.gridList.push(grid);
            }
            this.gridList[i].visible = true;
            // this.gridList[i].x = this.imgBg.uiWidth/2 - this.gridItem.uiWidth/2*itemList.length + this.gridItem.uiWidth * i;
            var coinInfo = {};
            coinInfo.itemModelId = itemList[i].itemModelId || items[i].mod;
            coinInfo.itemNum = itemList[i].num;
            coinInfo.itemBind = itemList[i].bind;
            GridUtil.SetItemGrid(this.gridList[i],coinInfo);
        }
        for(; i < this.gridList.length; i++){
            this.gridList[i].visible = false;
        }
        this.time = 15;
        this.labCue2.SetText(TextUtil.FormatStr(this.labCue2.GetHtmlText(), [this.time]));
        if (this.timerId)
            TimerUtil.ClearTimeUpdate(this.timerId, this);
        this.timerId = TimerUtil.TimeUpdate(this.OnTimer, this, 1);
        this._listView.setSize(cc.size(this.imgFrame.uiWidth, this.imgFrame.uiHeight));
        this._listView.setInnerContainerSize(cc.size(this.imgFrame.uiWidth, itemList.length * _height));
	},

    UpdateWithItemDisplay:function(data){
        data = data || {};
        var type = data.type || 0;
        var title = data.title || "标题";
        var content = data.content || "内容";
        var items = data.items || [];
        var  _height = 0;

        this.labCue.SetString(title);
        this.labCue1.SetString(content);

        var i = 0;
        for(; i < items.length; i++){
            if(!this.gridList[i]){
                var grid = new MUIGrid();
                grid.ParseJson(this.gridItem.jsonobj);
                grid.Init();
                _height = grid.uiHeight;
                this._listView.pushBackCustomItem(grid);
                this.gridList.push(grid);
            }
            this.gridList[i].visible = true;
            // this.gridList[i].x = this.imgBg.uiWidth/2 - this.gridItem.uiWidth/2*items.length + this.gridItem.uiWidth * i;
            var coinInfo = {};
            coinInfo.itemModelId = items[i].itemModelId || items[i].mod;
            coinInfo.itemNum = items[i].num;
            coinInfo.itemBind = items[i].bind;
            GridUtil.SetItemGrid(this.gridList[i],coinInfo);
        }
        for(; i < this.gridList.length; i++){
            this.gridList[i].visible = false;
        }

        this.btnConfirm.visible = type;
        this.labCue2.visible = !type;
        if(!type){
            this.time = 15;
            this.labCue2.SetText(TextUtil.FormatStr(this.labCue2.GetHtmlText(), [this.time]));
            if (this.timerId)
                TimerUtil.ClearTimeUpdate(this.timerId, this);
            this.timerId = TimerUtil.TimeUpdate(this.OnTimer, this, 1);
        }
        this._listView.setSize(cc.size(this.imgFrame.uiWidth, this.imgFrame.uiHeight));
        this._listView.setInnerContainerSize(cc.size(this.imgFrame.uiWidth, items.length * _height));
    },

    OnTimer:function(){
        this.time--;
        if(this.time <= 0){
            TimerUtil.ClearTimeUpdate(this.timerId, this);
            EngineMgr.uiMgr.HidePanel(this);
        }
        this.labCue2.SetText(TextUtil.FormatStr(this.labCue2.GetHtmlText(), [this.time]));
    },
} );
AwardZhanshiExt.PanelName = "AwardZhanshiExt";
PanelClassDic["AwardZhanshiExt"] = AwardZhanshiExt;
