var TaijiPanelExt = TaijiPanel.extend ( {
	_className:"TaijiPanelExt",
	_panList:null,
	_sbtnList:null,
	_btnTypeArr:null,
	curView:0,
	activityPanel:null,
	dailyPanel:null,
	findPanel:null,
	_curPanel:null,
	_curBtn:null,
	ctor:function(){
		this._super();
		this.modelPanelType = MUIPanelModelType.BLUR;
		this.isShowTween = true;
	},
	
	Init:function(){
		TaijiPanel.prototype.Init.call( this );
		this.layoutCom.layoutType = MLLAYOUT_C;
		this.layoutCom.layoutOffy = -17;
		Mgr.gossip.taijiPanel = this;
		this._panList = [];
		this._sbtnList = [this.sbtnRichang , this.sbtnXianshi ,this.sbtnZhaohuei ];
		this._btnTypeArr = [EnumGrossipType.TYPE_DAY, EnumGrossipType.TYPE_ACTIVITY, EnumGrossipType.TYPE_FIND];
		var self = this;
		for(var i=0; i < this._sbtnList.length; i++){
//			this._sbtnList[i].SetTextColor(EnumFontFormat.BTN_SELECT_COLOR);
//			this._sbtnList[i].SetTextFontSize(EnumFontFormat.CHANNEL_FONTSIZE);
			this._sbtnList[i].buttonText.setPositionY(17);
			this._sbtnList[i].buttonText.setPositionX(18);
			(function(j){
				self._sbtnList[j].addClickEventListener(function () {
					self.ClickBtn(self._sbtnList[j]);
				});
			})(i);
		}


		var self = this;
//		this.SetDragEnable( true );
		this.btnClose.addClickEventListener(function (event){
//			var command = "&additem 102 10";
//			Mgr.gm.SendReqGmCommandMessage( command );
			EngineMgr.uiMgr.HidePanelByType( TaijiPanelExt.PanelName );
		});
		
		this.btnJia.addClickEventListener(function (event){
			self.UseTimeItem();
		});
	},
	
	UseTimeItem:function (){
		if(Mgr.backpack.GetItemNumber(116) > 0){
			var item = ItemUtil.ItemIdToItem(116,1,1);
			ItemUtil.ShowTips(item,GridTypeEnum.BACKPACK);
		}else{
			var shopItem = Mgr.shop.GetShopItemByMid(116, EnumShopType.GOLD_SHOP);
			if( shopItem ){
				var buyPanel = Mgr.uiMgr.ShowPanelByType(BuyPanelExt.PanelName);
				buyPanel.SetData(shopItem);
			}
		}
	},

	ClickBtn:function ( btn ){
		if( btn == this.sbtnRichang ){
			this.ChangeView( EnumGrossipType.TYPE_DAY );
		}else if( btn == this.sbtnXianshi ){
			this.ChangeView( EnumGrossipType.TYPE_ACTIVITY );
		}else if( btn == this.sbtnZhaohuei ){
			this.ChangeView(  EnumGrossipType.TYPE_FIND );
		}
	},
	ChangeView:function ( index ){
		if(index == this.curView)
			return;
		this.curView = index;
		if( this._curPanel )
			this._curPanel.OnHide();
		if( this._curBtn )
			this._curBtn.SetButtonState("uncheck");
		this.imgBg.removeAllChildren(false);
		var imageRes = "";
		if( index == EnumGrossipType.TYPE_ACTIVITY ){
			if( this.activityPanel == null ){
				this.activityPanel = new TaijiActivitiesMainExt();
				this.activityPanel.LoadPanel();
				this.activityPanel.retain();
				this.activityPanel.InitPanel();
				this.activityPanel.x = 0;
				this.activityPanel.y = 0;
			}	
			this._curPanel = this.activityPanel;
			this._curBtn = this.sbtnXianshi;
			this.imgDikuang.setVisible(true);
			this.imgDikuang1.setVisible(false);
			imageRes = "other/richangrenwu/word/xianshihuodong.png";
		}else if( index == EnumGrossipType.TYPE_DAY ){
			if( this.dailyPanel == null ){
				this.dailyPanel = new TaijiMainExt();
				this.dailyPanel.LoadPanel();
				this.dailyPanel.retain();
				this.dailyPanel.InitPanel();
				this.dailyPanel.x = 0;
				this.dailyPanel.y = 0;
			}	
			this._curPanel = this.dailyPanel;
			this._curBtn = this.sbtnRichang;
			this.imgDikuang.setVisible(true);
			this.imgDikuang1.setVisible(true);
			imageRes = "other/richangrenwu/word/taijizheng.png";
		}else if( index == EnumGrossipType.TYPE_FIND ){
			if( this.findPanel == null ){
				this.findPanel = new TaijiZhaohueiMainExt();
				this.findPanel.LoadPanel();
				this.findPanel.retain();
				this.findPanel.InitPanel();
				this.findPanel.x = 0;
				this.findPanel.y = 0;
			}
			this._curPanel = this.findPanel;
			this._curBtn = this.sbtnZhaohuei;
			this.imgDikuang.setVisible(false);
			this.imgDikuang1.setVisible(false);
			imageRes = "other/richangrenwu/word/ziyuanzhaohui.png";
		}
		else{
			this._curPanel = null;
		}
		if(this._curPanel != null){
			this.imgBg.addChild(this._curPanel );
			this._curPanel.OnShow();
		}
		if( this._curBtn != null ){
			this._curBtn.SetButtonState("check");
		}
		UIUtil.LoadImage( this.imgTitle, imageRes );
		
//		this._ShowOrHideListview();
	},
//	_ShowOrHideListview:function()
//	{
//		for ( var i = 0; i < this._sbtnList.length; i++ )
//		{
//			if ( this.curView == this._btnTypeArr[i] )
//			{
//				this._sbtnList[i].SetTextColor(EnumFontFormat.BTN_SELECT_COLOR);
//				this._sbtnList[i].SetTextFontSize(EnumFontFormat.CHANNEL_FONTSIZE);
////				this._sbtnList[i].SetEnableOutline(EnumFontFormat.BTN_SELECT_MIAOBIAN_COLOR,EnumFontFormat.MIAOBIAN_SIZE);
//				this._sbtnList[i].buttonText.setPositionY(15);
//				this._sbtnList[i].buttonText.setPositionX(15);
//			}
//			else
//			{
//				this._sbtnList[i].SetTextColor(EnumFontFormat.BTN_NORMAL_COLOR);
//				this._sbtnList[i].SetTextFontSize(EnumFontFormat.CHANNEL_FONTSIZE);
////				this._sbtnList[i].SetEnableOutline(EnumFontFormat.BTN_NORMAL_MIAOBIAN_COLOR,EnumFontFormat.MIAOBIAN_SIZE);
//				this._sbtnList[i].buttonText.setPositionY(15);
//				this._sbtnList[i].buttonText.setPositionX(15);
//			}
//		}
//	},
	

	UpdateTime:function(){
		this.labTime.SetHtmlText(TextUtil.FormatStr( this.labTime.GetHtmlText(), [ TextUtil.SecondToHMS2( Mgr.player._exitRemainTime ) ] ));
	},
	
	ShowType:function(type){
		if(type == EnumGrossipType.TYPE_DAY){
			this.sbtnRichang.setVisible(true);
			this.sbtnXianshi.setVisible(false);
			this.sbtnZhaohuei.setVisible(true);
			this.sbtnZhaohuei.y = this.sbtnXianshi.initY;
		}else if(type == EnumGrossipType.TYPE_ACTIVITY){
			this.sbtnRichang.setVisible(false);
			this.sbtnXianshi.setVisible(true);
			this.sbtnZhaohuei.setVisible(false);
			this.sbtnXianshi.y = this.sbtnRichang.initY;
		}else if(type == EnumGrossipType.TYPE_FIND){
			this.sbtnRichang.setVisible(true);
			this.sbtnXianshi.setVisible(false);
			this.sbtnZhaohuei.setVisible(true);
			this.sbtnZhaohuei.y = this.sbtnXianshi.initY;
		}
//		if(!BtnGroupUtil.IsFunctionOpen(BtnGroupUtil.M_TAIJI, BtnGroupUtil.TAIJI_TAIJI))
//			this.sbtnRichang.setVisible(false);
		if(!BtnGroupUtil.IsFunctionOpen(BtnGroupUtil.M_TAIJI, BtnGroupUtil.TAIJI_RESBACK))
			this.sbtnZhaohuei.setVisible(false);
		this.ChangeView( type );
	},
	
	UpdataFindRedCircle:function(){
		this.imgCue.setVisible(Mgr.offlineres.canFind);
	},
	
	UpdateDaylyCircle:function(){
		this.imgCue1.setVisible(Mgr.gossip.canUpTaiji);
		Mgr.player.shortPanel.UpDataTaijizhengWarn();
	},
	
	OnShow:function(){
//		this.ChangeView(EnumGrossipType.TYPE_DAY);
		this.UpdateTime();
		//刷新按钮可找回红圈，需要获取活动信息
		Mgr.gossip.SendReqGossipInfoMessage();
		Mgr.offlineres.SendReqOpenOfflineResPanelMessage();
	},
	
	OnHide:function(){
		this._super();
		if(this._curPanel != null){
			this._curPanel.OnHide();
		}
		this.curView = 0;
	}
} );
TaijiPanelExt.PanelName = "TaijiPanelExt";
PanelClassDic["TaijiPanelExt"] = TaijiPanelExt;
