var GenChongMainExt = GenChongMain.extend ( {
	_className:"GenChongMainExt",

	_listView:null,
	_itemList:null,
    _curSelectBtn:null,

    type:null,
    showModelId:null,
    model:null,
    id:null,

    isActivat:false,
    isFollow:false,


	ctor:function(){
		this._super();
		this._itemList = [];
	},

    Init:function (){
        GenChongMain.prototype.Init.call( this );
        var self = this;

        this.type = HuanhuaType.TYPE_PET;

        this.setTouchEnabled( false );

        this.labCue3.setTouchEnabled(true);
        this.labCue3.addTouchEventListener(function(sender,type)
        {
            if ( type == ccui.Widget.TOUCH_BEGAN )
            {
            }
            else if ( type == ccui.Widget.TOUCH_ENDED )
            {
            }
            else if ( type == ccui.Widget.TOUCH_CANCELED )
            {
            }
        });


        this.InitView();
        this.InitItem();
    },

    InitView:function(){
        if(!this._listView){
            this._listView = new ccui.ListView();
            this._listView.setDirection(ccui.ScrollView.DIR_VERTICAL);//视图滚动方向
            this._listView.setTouchEnabled(true);					//触摸开启
            this._listView.inertiaScrollEnabled = false; 			//滚动惯性
            this._listView.setScrollBarEnabled(false);				//滚动条
            this._listView.setBounceEnabled(true);					//边界回弹
            // this._listView.setScrollBarAutoHideTime(1);
            this._listView.addEventListener(this._SelectedBtnEvent);
            this.imgBg1.addChild(this._listView);
        }
    },

	InitItem:function(){
		var list = Q_illusion.GetList();
        list.sort(function(a, b){ return a.q_order - b.q_order; });
		var t = 0;
		for(var i = 0; i < list.length; i++){
			if(list[i].q_type == HuanhuaType.TYPE_PET && list[i].q_order != -1){
                if(!this._itemList[t]){
                    var item = new GenChongFrameExt();
                    item.LoadPanel();
                    item.x = 0;
                    item.y = item.uiHeight*(list.length-i-1);
                    item.idx = t;
                    this._height = item.uiHeight;
                    this._listView.addChild(item);
                    this._itemList.push(item);
                }
                this._itemList[t].SetData(list[i]);
				t++;
			}
		}
        this._listView.setSize(cc.size(this.imgBg1.uiWidth, this.imgBg1.uiHeight));
        this._listView.setInnerContainerSize(cc.size(this.imgBg1.uiWidth, list.length * this._height));
        this.countHight = (this._itemList.length - 1) * this._height;
	},

    _SelectedBtnEvent:function(sender, type){
        switch (type) {
            case ccui.ListView.ON_SELECTED_ITEM_END:
                var parent = sender.parent.parent;
                if (parent._curSelectBtn != null) {
                    parent._curSelectBtn.SetSelect(false);
                    parent._curSelectBtn = null;
                }

                var idx = sender.getCurSelectedIndex();
                var btnSelect = sender.getItem(idx);
                parent._curSelectBtn = btnSelect;
                parent.ChangePetInfo();
                btnSelect.SetSelect(true);
                parent.btnSelect = btnSelect;
                break;
            default:
        }
	},

    scrollToICurSelect:function () {
        // var prent=this._curSelectBtn.y/this.countHight;
        var prent = (this._curSelectBtn.idx*this._height)/this.countHight;
        this._listView.scrollToPercentVertical((prent*100), 0.5, true);
    },

	ChangePetInfo:function(){
	    this.scrollToICurSelect();
		this.labZhandouli1.SetText(this._curSelectBtn.power);
		this.labGongji1.SetText(this._curSelectBtn.attack);
        this.labFangyu1.SetText(this._curSelectBtn.defense);
        this.labHP1.SetText(this._curSelectBtn.hp);
        this.labName1.SetText(this._curSelectBtn.spAttri);
        this.labCue3.SetText(this._curSelectBtn.getPosStr);
        this.labName.SetText(this._curSelectBtn.petName);
        this.ShowModel(this._curSelectBtn.modelId);
        this.imgDiKuang.visible = this._curSelectBtn.isFollow;
        this.id = this._curSelectBtn.id;
        // this.imgDiBg.visible = this._curSelectBtn.isFollow;

        this.showModelId = this._curSelectBtn.modelId;
        this.isActivat = this._curSelectBtn.isActivat;
        this.isFollow = this._curSelectBtn.isFollow;

        var panel = Mgr.uiMgr.GetPanelByType(GenChongPanelExt.PanelName);
        if(panel){
            panel.RefreshBtn();
        }
	},

    RefreshPanel:function(infoList){
        if(!this._curSelectBtn){
            this._curSelectBtn = this._itemList[0];
            // this.ChangePetInfo(this._itemList[0].petId);
            this._itemList[0].SetSelect(true);
        }
        for(var i = 0; i < this._itemList.length; i++){
            this._itemList[i].SetActivat(false);
            this._itemList[i].SetWear(false);

	        for(var j = 0; j < infoList.illusionInfoList.length; j++){
	            if(parseInt(this._itemList[i].id) == parseInt(infoList.illusionInfoList[j].illusionId)){
                    this._itemList[i].SetActivat(true);
	            }
            }
            if(this._itemList[i] == this._curSelectBtn){
                this.ChangePetInfo();
            }
            if(parseInt(this._itemList[i].id) == parseInt(infoList.illusionShowId)){
                if(this._curSelectBtn){
                    this._curSelectBtn.SetSelect(false);
                    this._curSelectBtn = null;
                }
                this._curSelectBtn = this._itemList[i];
                this._itemList[i].SetWear(true);
                this.ChangePetInfo();
                this._itemList[i].SetSelect(true);

            }
            if(!this._itemList[i].isActivat){
                var item = Mgr.backpack.GetItemsByMid(this._itemList[i].needItemId);
                if(item && item.length){
                    this._itemList[i].SetWarn(true);
                }
                else
                    this._itemList[i].SetWarn(false);
            }
            else
                this._itemList[i].SetWarn(false);
        }
    },

    ChangeShow:function(id){
        for(var i = 0; i < this._itemList.length; i++){
            this._itemList[i].SetWear(false);
            if(id == this._itemList[i].id){
                this._itemList[i].SetWear(true);
                this.ChangePetInfo();
            }
            else if(id == 0){
                this._itemList[i].SetWear(false);
                this.ChangePetInfo();
            }
        }
    },

    ShowModel:function(showId){
        // if(!this.model){
        //     var model = new MAnimationObject();
        //     this.imgModel.addChild(model);
        //     this.model = model;
        // }
        // this.model.sCurActionName = null;
        // this.model.sResUrlBase = "res/animation/effect/ui/roleshow/part/chongwu/" + showId;
        // this.model.DoAction("stand", 4);
        if(!this.model){
            this.model = new UIModel(showId, HuanhuaType.TYPE_PET);
            this.model.x = 50;
            this.imgModel.addChild(this.model);
        }
        else{
            this.model.SetModelId(showId);
        }
    },

} );
GenChongMainExt.PanelName = "GenChongMainExt";
PanelClassDic["GenChongMainExt"] = GenChongMainExt;
