var ChooseServerPanelExt = ChooseServerPanel.extend ( {
	_className:"ChooseServerPanelExt",
	severIcoList:null,
    TYPE : {
        OWN : 1,
        RECOMMAND : 2,
    },
	ctor:function(){
		this._super();
        this.modelPanelType = MUIPanelModelType.ALPHABLACK;
        this.layoutCom.layoutType = MLLAYOUT_C;
        this.severIcoList=[];

        this.CELL_HEIGHT = 102;

        this.selectedType = this.TYPE.RECOMMAND;
	},
	Init:function () {
        ChooseServerPanel.prototype.Init.call( this );
        this.sbtnTuiJian.SetButtonState("check");
        this.sbtnTuiJian.SetText("推荐");

        this.sbtnYiyou.addClickEventListener(function(event){
            this.selectedType = this.TYPE.OWN;
            this.FilterServerAndReload();
        }.bind(this));
        this.sbtnTuiJian.addClickEventListener(function(event){
            this.selectedType = this.TYPE.RECOMMAND;
            this.FilterServerAndReload();
        }.bind(this));


        var size = this.imgTitleBg.getContentSize();
        var contentSize = cc.size(size.width, this.CELL_HEIGHT * 5)
        var tableView = new cc.TableView(this,size);
        tableView.setDirection(ccui.ScrollView.DIR_VERTICAL);
        tableView.setDelegate(this);
        tableView.setVerticalFillOrder(cc.TABLEVIEW_FILL_TOPDOWN);
        //tableView.setTouchEnabled(false);
        tableView.setPosition(0, size.height - contentSize.height + 10);
        tableView.reloadData();

        this.imgTitleBg.addChild(tableView);
        this.tableView = tableView;
    },

    FilterServerAndReload:function(){
        var severList = this.serverList;

        switch(this.selectedType){
            case this.TYPE.OWN:
            {
                var temp = [];
                var roles = GameConfig.roleData || [];
                for(var i=0;i<roles.length;++i){
                    var v = roles[i];
                    for(var j=0;j < severList.length;++j){
                        var vv = severList[j];
                        if(v.serverId == vv.SERVER_ID){
                            temp.push(vv);
                            break;
                        }
                    }
                }
                severList = temp;
                break;
            }
            case this.TYPE.RECOMMAND:
            default:
                break;
        }

        this.data = severList;
        this.tableView.reloadData();
    },
    UpdateSever:function (severList) {
        this.serverList = severList || this.serverList;
        this.FilterServerAndReload();
    },
    tableCellSizeForIndex:function(sender,index){
        // 加点间距
        return cc.size(sender.width,this.CELL_HEIGHT);
    },

    tableCellAtIndex:function(sender,index){
        var cell = sender.dequeueCell();
        if (!cell) {
            cell = new cc.TableViewCell();
        }

        if(!cell.item1){
            var item=new ServerListExt();
            item.LoadPanel();
            cell.addChild(item)
            item.y = -8;
            cell.item1 = item;
        }
        if(!cell.item2){
            var item=new ServerListExt();
            item.LoadPanel();
            cell.addChild(item)
            item.x = sender.width / 2 - 5;
            item.y = -7;
            cell.item2 = item;
        }

        var data1 = this.data[index * 2];
        var data2 = this.data[index * 2 + 1];

        cell.item1.visible = data1;
        cell.item2.visible = data2;

        if(data1) cell.item1.SetData(data1);
        if(data2) cell.item2.SetData(data2);
        return cell;
    },

    numberOfCellsInTableView:function(sender){
        return this.data ? Math.ceil(this.data.length / 2) : 0;
    },
} );
ChooseServerPanelExt.PanelName = "ChooseServerPanelExt";
PanelClassDic["ChooseServerPanelExt"] = ChooseServerPanelExt;
