var RechargeRebatePanelExt = RechargeRebatePanel.extend ( {
	_className:"RechargeRebatePanelExt",

	// 链表三件套
	_listView : null,
	_itemList:null,
	_curSelectItem:null,

	ctor:function(){
		this._super();
		this._itemList = [];
	},

	Init:function() {
		var self = this;
		RechargeRebatePanel.prototype.Init.call(this);

		this._InitParam();
		this._LaodItems();
	},

	_InitPosition:function () {
		this.x = 0;
		this.y = 0;
	},

	_InitParam:function () {
		this._InitPosition();

		this.imgBg11.visible = false;
		this._CreateListView();
	},

	_CreateListView:function () {
		// listView
		var list = new ccui.ScrollView();
		list.setDirection(ccui.ScrollView.DIR_VERTICAL);
		list.setContentSize(cc.size(this.imgBg1.width, this.imgBg1.height));
		list.setTouchEnabled(true);
		list.setInertiaScrollEnabled(true);
		list.setScrollBarEnabled(false);
		list.setBounceEnabled(true);
		list.setAnchorPoint(0, 1);
		list.setPosition(0,this.imgBg1.height);
		this.imgBg1.addChild(list);
		this._listView = list;
	},

	_LaodItems:function () {
		var list = [];
		//var idArr = JSON.parse( Q_global.Get( 1000 ).q_string_value );
		var idArr = [[60,6],[300,66],[580,120],[980,240],[1280,360],[1980,560],[3280,976],[6480,2576]];
		for ( var m = 0; m != idArr.length; m++ ) {
			var data = idArr[m];
			cc.log("-------------------------  " + data[0] + "   " + data[1])
			list.push( [parseInt(data[0]),parseInt(data[1])] );
		}

		// sort
		var _total_row = 0;
		for ( var i = 0; i != list.length; i++ ) {
			var item;
			if ( i < this._itemList.length )
				item = this._itemList[i];
			else {
				item = new RechargeRebateItemExt();
				item.LoadPanel();
				item.retain();
				this._itemList.push(item);
			}
			item.SetData(list[i]);

			// pos
			item.setAnchorPoint(0,1);
			var line = i % 4;
			var row = parseInt(i/4);
			_total_row = parseInt(list.length/4);
			if ( list.length % 4 > 0 )
				_total_row += 1;
			row = _total_row - row;
			var pos_x = (item.width + 2)*line;
			var pos_y = (item.height + 2)*row;
			item.x = pos_x;
			item.y = pos_y;
			this._listView.addChild(item);
		}

		// set InnerContainerSize size
		var innerContainerHeght = (item.height + 2)*_total_row
		this._listView.setInnerContainerSize(cc.size(this.imgBg1.width, (item.height + 2)*_total_row));

		// 超出范围才可滑动
		if ( this._listView.getContentSize().height >= innerContainerHeght )
			this._listView.setTouchEnabled(false);
		else
			this._listView.setTouchEnabled(true);
	},

	_AddItem:function( item ){
		item.setTouchEnabled(true);
		this._listView.pushBackCustomItem(item);
	},

	OnShow:function () {

	},
} );
RechargeRebatePanelExt.PanelName = "RechargeRebatePanelExt";
PanelClassDic["RechargeRebatePanelExt"] = RechargeRebatePanelExt;
