﻿var StoreModMgr = StoreModMgr || cc.Class.extend({
		choose:null,
		findGoldPanel:null,
		warehousePanel:null,
		wareHouseInforVo:null,
		isAll:false,
        showHash:null,
	ctor:function() {
		this.showHash=new HashMap();
		this.wareHouseInforVo = new WarehouseInfoVO();
	},

	RecvResStoreItemInfosMessage:function(msg) {
        cc.log("RecvResStoreItemInfosMessage");
		cc.log("仓库物品...." + msg.items.length);
		if(msg.type == EnumStore.NORMAL && Mgr.uiMgr.IsPanelShow(this.warehousePanel)){
            this.warehousePanel.whItems = msg.items;
            this.warehousePanel.InitWHItems();
            // this.warehousePanel.InitBPItems();
            this.warehousePanel.RefreshWHPanel();
            // this.warehousePanel.RefreshBPPanel();
		}
        else if(msg.type==EnumStore.LUCKY) {
            if(!Mgr.uiMgr.IsPanelShowByName(CangKuPanelExt.PanelName))
                EngineMgr.uiMgr.ShowPanelByType(CangKuPanelExt.PanelName, UIMgr.PANEL_LAYER_TOP);
            this.findGoldPanel.SetData(msg.cellnum,msg.items);
        }

    },

	RecvResStoreItemAddMessage:function(msg) {
		cc.log("wh     RecvResStoreItemAddMessage");
		if(msg.type == EnumStore.NORMAL && Mgr.uiMgr.IsPanelShow(this.warehousePanel)){
            cc.log("添加仓库物品...." + msg.item.gridId);
			this.warehousePanel.AddWHItem(msg.item, msg.item.gridId);
            this.warehousePanel.RefreshWHPanel();
            this.warehousePanel.RefreshBPPanel();
		}
        else if(msg.type==EnumStore.LUCKY&&Mgr.uiMgr.IsPanelShow(this.findGoldPanel))
            this.findGoldPanel.itemHs.Put(msg.item.gridId-1,msg.item);
        },

	RecvResStoreItemChangeMessage:function(msg) {
        cc.log("RecvResStoreItemChangeMessage");
        if(msg.type==EnumStore.LUCKY&&Mgr.uiMgr.IsPanelShow(this.findGoldPanel)) {
            this.findGoldPanel.itemHs.Put(msg.item.gridId-1,msg.item);
        }
	},
	RecvResStoreItemRemoveMessage:function(msg) {
		cc.log("wh     RecvResStoreItemRemoveMessage");
        if(msg.type == EnumStore.NORMAL && Mgr.uiMgr.IsPanelShow(this.warehousePanel)){
            cc.log("移除仓库物品...." + msg.itemId);
            this.warehousePanel.RemoveWHItem(msg.itemId);
            this.warehousePanel.RefreshWHPanel();
            this.warehousePanel.RefreshBPPanel();
        }
        else if(msg.type==EnumStore.LUCKY&&Mgr.uiMgr.IsPanelShow(this.findGoldPanel)) {
            if(!this.isAll){
                var item = this.findGoldPanel.GetItemById(msg.itemId);
                if( item ){
                    var grid =  this.showHash.Get( item.gridId-1);
                    grid.Clean();
                    grid.gridData = null;
                }
            }
            else if(!this.findGoldPanel.itemHs.IsEmpty()){
                this.findGoldPanel.ClearItem();         //收到一个就表示全部删除了
            }
        }

    },

	SendReqStoreGetItemsMessage:function(type) {
		cc.log("请求所有仓库物品");
		this.choose=null;
		var msg = new ReqStoreGetItemsMessage();
		msg.type=type;
		Mgr.msgMgr.Send( msg );
	},

	SendReqStoreMoveItemMessage:function(iId,gId,num,type) {
		cc.log("移动物品.....");
		var msg = new ReqStoreMoveItemMessage();
		this.itemId = iId;
		this.toGridId = gId;
		this.num = num;
		this.type = type;
		Mgr.msgMgr.Send( msg );
	},

	SendReqStoreClearUpMessage:function(type) {
		cc.log("整理.....");
		var msg = new ReqStoreClearUpMessage();
		msg.type=type;
		Mgr.msgMgr.Send( msg );
	},

	SendReqBagToStoreMessage:function(itemId,toCellId,type) {
		var msg = new ReqBagToStoreMessage();
		msg.itemId = itemId; // 物品Id
		msg.toCellId = toCellId; // 仓库目标格子
		msg.type = type; // 仓库类型（0是正常仓库，1，2，3是其他的）
		Mgr.msgMgr.Send( msg );
	},

	SendReqStoreToBagMessage:function(itemId,toCellId,type) {
		this.isAll=false;
		var msg = new ReqStoreToBagMessage();
		msg.itemId = itemId; // 物品Id
		msg.toCellId = toCellId; // 背包目标格子
		msg.type = type; // 仓库类型（0是正常仓库，1，2，3是其他的）
		Mgr.msgMgr.Send( msg );
	},

	SendReqStoreSplitItemMessage:function(itemId,num,type) {
		var msg = new ReqStoreSplitItemMessage();
		msg.itemId = itemId; // 物品Id
		msg.num = num; // 拆分数量
		msg.type = type; // 仓库类型（0是正常仓库，1，2，3是其他的）
		Mgr.msgMgr.Send( msg );
	},
		SendReqGetOutStoreAllItemsMessage:function(type){
			this.isAll=true;
			var msg = new ReqGetOutStoreAllItemsMessage();
			msg.type=type;
			Mgr.msgMgr.Send( msg );
		}

});
var EnumStore = EnumStore || {
		NORMAL:1,
		LUCKY:2
	};