var TeQuanPanelExt = TeQuanPanel.extend ( {
	_className:"TeQuanPanelExt",

    _viewList:[],

	ctor:function(){
		this._super();
        this.modelPanelType = MUIPanelModelType.BLUR;
	},

    Init:function(){
        TeQuanPanel.prototype.Init.call(this);
        this.layoutCom.layoutType = MLLAYOUT_C;
        this.layoutCom.layoutOffy = -28;

        var self = this;
        this.btnClose.addClickEventListener(function(event){
            EngineMgr.uiMgr.HidePanel(self);
		});

        var price = Q_global.Get(363).q_int_value;
        this.labXianjia.SetText("现价:        " + price);

        this.btnBuy.addClickEventListener(function(event){
            if(Mgr.player.mainPlayer.attributeData.TotalGold() >= price){
                AlertExt.Show(TextUtil.FormatStr("是否花费{@}元宝购买", [price]),TipsEnum.BUTTON_SURE_AND_FALSE, {
                    _onFunc:function(){
                        Mgr.special.SendReqBuySpecialToGameMessage(SpecialType.ALL_BUY);
                    },
                },1);
            }
            else{
                // Mgr.tips.ShowNotice("元宝不足");
                AlertExt.NoEnoughGold(price - Mgr.player.mainPlayer.attributeData.TotalGold() );
            }
        });
    },

    OnShow:function(){
	    Mgr.special.SpecialPanel = this;
        this.InitView();
    },

    InitView:function(){
	    var list = Q_special.GetList();

	    cc.log(JSON.stringify(list))
        cc.log(list.length)

        var price = 0;
        for(var i = 0; i < list.length; i++){
            if(!this._viewList[i]){
                var view = new TeQuanFrameExt();
                view.LoadPanel();
                view.x = (this.imgBG.uiWidth - view.uiWidth*3)/2 + view.uiWidth*i;
                view.y = 0;
                this.imgBG.addChild(view);
                this._viewList.push(view);
            }
            this._viewList[i].SetData(list[i]);
            price +=  parseInt(list[i].q_value);
        }
        this.labYuanjia.SetText("原价:        " + price);
    },


    RefreshPanel:function(list){
	    for(var i = 0; i < this._viewList.length; i++){
	        for(var j = 0; j < list.length; j++){
                if(this._viewList[i].type == list[j].type){
                    this._viewList[i].RefreshPanel(list[j]);
                }
            }
        }
    },

    UpdateTime:function(passTime){
        for(var i = 0; i < this._viewList.length; i++){
            if(this._viewList[i].isOpen){
                this._viewList[i].UpdateTime(passTime);
            }
        }
    },

    OnHide:function(){
        this._super();
        Mgr.special.SpecialPanel = null;
    }
} );
TeQuanPanelExt.PanelName = "TeQuanPanelExt";
PanelClassDic["TeQuanPanelExt"] = TeQuanPanelExt;
