var FBTaskPanelExt = FBTaskPanel.extend ( {
	_className:"FBTaskPanelExt",

    timerId:0,

    time:null,
    listView:null,

    headLabelList:null,
    labelList:null,
    backLabelList:null,
    lineY:null,

    _curMonsterPos:null,

    allExp:null,
    isInDrgun:false,
    isInZhujiantianxia:false,
    curItemId:0,

	ctor:function(parent,taskTrackPanel){
		this._super();
		this.labelList = [];
		this.headLabelList = [];
		this.backLabelList = [];
		this._curMonsterPos = {x:0, y:0};
		this.allExp = 0;
		this.taskTrackPanel = taskTrackPanel;
	},

    Init:function(){
        FBTaskPanel.prototype.Init.call( this );

        this.imgTaskCue1.visible = false;
        this.labKill1.visible = false;
        this.btnHead.visible = false;
        this.labTime.SetText("");
        this.lineY = this.imgLine1.y;

        this.confMap = Q_map.Get(Mgr.sceneMap.nMapId);
        this.zoneType = Mgr.sceneMap.ZoneType();
        // this.zoneId = Mgr.sceneMap._curZoneId;

        this.InitListView();
        // this.InitView();
        this.setTouchEnabled(true);
        this.addTouchEventListener(function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
                // sender.
                if(!sender.nCurMoveParam)
                    sender.nCurMoveParam = new AutoPathParam();
                Mgr.mainPlayer.oCtrlAutoPath.RunToPt(cc.p(sender._curMonsterPos.x, sender._curMonsterPos.y), sender.nCurMoveParam, false);
            }
        });
    },

    onEnter:function(){
        this._super();
        this.timerId = TimerUtil.TimeUpdate(this.OnTimer, this, 1);

        this.OnTimer();
    },

    onExit:function(){
        this._super();
        if (this.timerId)
            TimerUtil.ClearTimeUpdate(this.timerId, this);
    },

    InitListView:function(){
        this.listView = new ccui.ListView();
        this.listView.setDirection(ccui.ScrollView.DIR_VERTICAL);//视图滚动方向
        this.listView.setTouchEnabled(true);					//触摸开启
        this.listView.inertiaScrollEnabled = false; 			//滚动惯性
        this.listView.setScrollBarEnabled(false);				//滚动条
        this.listView.setBounceEnabled(true);					//边界回弹
        // this.listView.addEventListener(this._SelectedItemEvent);
        this.imgBg2.addChild(this.listView);
    },

    InitView:function(infoList){
	    this.labName.visible = true;
	    this.isInDrgun = false;
	    this.isInZhujiantianxia = false;
        if(Mgr.zone.IsInZoneMap()){
            switch(this.zoneType){
                case EnumZoneType.TYPE_JQ:
                    this.labFB.SetText("剧情副本:");
                    this.labName.SetText(Q_zone.Get(Mgr.zone._curZoneId).q_name);
                    var headList = ["通关目标"];
                    this.labKill.SetText(TextUtil.AddColor("通关目标", "0xfeff02"));
                    var list = Mgr.zone.GetConditionList(Mgr.zone._curZoneId);
                    var backList = [];
                    this.InitLabel(headList, list, backList);
                    break;
                case EnumZoneType.TYPE_JJ:
                    this.labFB.SetText("进阶副本:" );
                    this.labName.SetText(Q_zone.Get(Mgr.zone._curZoneId).q_name);
                    var headList = ["通关目标"];
                    this.labKill.SetText(TextUtil.AddColor("通关目标", "0xfeff02"));
                    var list = Mgr.zone.GetConditionList(Mgr.zone._curZoneId);
                    var backList = [];
                    this.InitLabel(headList, list, backList);
                    break;
                case EnumZoneType.TYPE_JY:
                    this.labFB.SetText("经验副本:");
                    if( Mgr.zone.jingyanDeployNum != this.numExpZoneWave &&
                        Mgr.zone.jingyanDeployNum != 0){
                        this.labName.SetText("[" + this.confMap.q_map_name + "]");
                    }
                    this.allExp += JSON.parse(Q_exp_zone.Get(Mgr.zone.jingyanDeployNum).q_reward)[0].num;
                    var headList = ["挑战目标"];
                    this.labKill.SetText(TextUtil.AddColor("挑战目标", "0xfeff02"));
                    var backList = [TextUtil.AddColor("当前: ", "ececec") + TextUtil.AddColor("第" + Mgr.zone.jingyanDeployNum + "波", "0xfeff02"),
                        TextUtil.AddColor("累计经验: ", "ececec") + TextUtil.AddColor(this.allExp, "00eefd")];
                    this.InitLabel(headList, infoList, backList);
                    break;
                case EnumZoneType.TYPE_WD:
                    this.labFB.SetText("问鼎江湖:");
                    this.labName.SetText(Q_temple.Get(Mgr.zone.jingyanDeployNum).q_name);
                    var headList = ["挑战目标"];
                    this.labKill.SetText(TextUtil.AddColor("挑战目标", "0xfeff02"));
                    var backList = [TextUtil.AddColor("当前: ", "ececec") + TextUtil.AddColor("第" + Mgr.zone.jingyanDeployNum + "波", "0xfeff02")];
                    this.InitLabel(headList, infoList, backList);
                    break;
                case EnumZoneType.TYPE_VIP:
                    this.labFB.SetText("VIP副本:");
                    this.labName.SetText(Q_zone.Get(Mgr.zone._curZoneId).q_name);
                    var headList = ["通关目标"];
                    this.labKill.SetText(TextUtil.AddColor("通关目标", "0xfeff02"));
                    var list = Mgr.zone.GetConditionList(Mgr.zone._curZoneId);
                    var backList = [];
                    this.InitLabel(headList, list, backList);
                    break;
                case  EnumZoneType.TYPE_KFDR:
                    this.labFB.SetText("多人副本:");
                    if(this.confMap){
                        this.labName.SetText(this.confMap.q_map_name);
                    }
                    var headList = ["通关目标"];
                    this.labKill.SetText(TextUtil.AddColor("通关目标", "0xfeff02"));
                    var list = Mgr.zone.GetConditionList(Mgr.crossteam.curzoneModelId);
                    var backList = [];
                    this.InitLabel(headList, list, backList);
                    // this.SetTime(Q_zone.Get(Mgr.crossteam.curzoneModelId).q_exist_time/1000);
                    break;
                case  EnumZoneType.TYPE_XINGMO:
                    this.labFB.SetText("心魔副本:");
                    this.labName.SetText(Q_zone.Get(Mgr.zone._curZoneId).q_name);
                    var headList = ["通关目标"];
                    this.labKill.SetText(TextUtil.AddColor("通关目标", "0xfeff02"));
                    var list = Mgr.zone.GetConditionList(Mgr.zone._curZoneId);
                    var backList = [];
                    this.InitLabel(headList, list, backList);
                    break;
                case  EnumZoneType.TYPE_ERENGU:
                    this.isInDrgun = true;
                    this.labFB.SetText("[活动]");
                    this.labName.SetText("恶人谷");
                    var headList = ["挑战目标"];
                    this.labKill.SetText(TextUtil.AddColor("首领已刷新", "0xfeff02"));
                    // var list = Mgr.zone.GetConditionList(Mgr.zone._curZoneId);
                    var backList = [];
                    this.InitERenBossLabel(headList, infoList, backList);
                    var activeInfo = Mgr.majorevents.activityHash.Get(EnumZoneActiveType.TYPE_ERENGU);
                    if(activeInfo){
                        var endTime = activeInfo.startTime + activeInfo.endTime - Mgr.login.GetServerTime()/1000;
                        this.SetTime(endTime);
                    }
                    break;
            }
        }
        else if(Mgr.monster.IsInMonsterMap()){
            if(Mgr.sceneMap.nMapId == 1002 || Mgr.sceneMap.nMapId == 1003){
                this.isInZhujiantianxia = true;
                this.labFB.SetText("[定时活动]");
                this.labName.SetText("铸剑天下");
                var headList = ["挑战目标"];
                this.labKill.SetText(TextUtil.AddColor("首领已刷新", "0xfeff02"));
                // var list = Mgr.zone.GetConditionList(Mgr.zone._curZoneId);
                var backList = [];
                this.InitBossLabel(headList, infoList, backList);
                var activeInfo = Mgr.majorevents.activityHash.Get(EnumZoneActiveType.TYPE_ZHUJIANTIANXIA);
                if(activeInfo){
                    var endTime = activeInfo.startTime + activeInfo.endTime - Mgr.login.GetServerTime()/1000;
                    this.SetTime(endTime);
                }
            }
            else{
                this.labFB.SetText("世界首领:")
                if(this.confMap){
                    this.labName.SetText(this.confMap.q_map_name);
                }
                var activeInfo = Mgr.majorevents.activityHash.Get(EnumZoneActiveType.TYPE_WORLDBOSS);
                if(activeInfo){
                    var endTime = activeInfo.startTime + activeInfo.endTime - Mgr.login.GetServerTime()/1000;
                    this.SetTime(endTime);
                }
                else{
                    this.labTime.SetText("00:00:00");
                }
                if(!Mgr.monster.curWorldBossInfo &&  Mgr.monster.GetWorldBossIdByMapId(Mgr.sceneMap.nMapId))
                    return;
                var headList = ["挑战目标"];
                this.labKill.SetText(TextUtil.AddColor("挑战目标", "0xfeff02"));
                var list = [{q_monster : Mgr.monster.curWorldBossInfo.monsterModelId, q_num : 1}];
                var backList = [];
                Mgr.monster.SendReqQueryBossAloneMessage(Mgr.monster.curWorldBossInfo.monsterModelId,
                    Q_boss_world.Get(Mgr.monster.curWorldBossInfo.monsterModelId).q_appear_map, Mgr.sceneMap.line);
                this.btnHead.visible = true;
                this.imgDie.visible = false;
                this.imgGo.visible = false;
                var HeadImageUrl = "other/head/monster/" + Q_boss_world.Get(Mgr.monster.curWorldBossInfo.monsterModelId).q_name_art + ".png";
                UIUtil.LoadButtonImage(this.btnHead, HeadImageUrl);
                this.InitLabel(headList, list, backList);
            }
        }

    },

    UpdateView:function(){
    },

    InitLabel:function(headList, list, backList){
	    var self = this;
        // for(var i = 0; i < headList.length; i++){
        //     if(!this.headLabelList[i]){
        //         var label = new MUILabel();
        //             label.ParseJson(this.labKill1.jsonobj);
        //         label.Init();
        //         this.listView.addChild(label);
        //         this.headLabelList.push(label);
        //     }
        //     this.headLabelList[i].SetText(headList[i]);
        // }
	    for(var i = 0; i < list.length; i++){
	        if(!this.labelList[i]){
	            var label = new MUILabel();
                label.ParseJson(this.labKill1.jsonobj);
                label.Init();
                this.listView.pushBackCustomItem(label);
                this.labelList.push(label);
                var killImg = new MUIImage();
                killImg.ParseJson(this.imgTaskCue1.jsonobj);
                killImg.Init();
                killImg.y = 2;
                label.addChild(killImg);
                label.killImg = killImg;
                label.setTouchEnabled(true);
                label.addTouchEventListener(function (sender, type) {
                    if (type == ccui.Widget.TOUCH_ENDED) {
                        // sender.
                        if(!self.nCurMoveParam)
                            self.nCurMoveParam = new AutoPathParam();
                        Mgr.mainPlayer.oCtrlAutoPath.RunToPt(cc.p(sender.q_center_x, sender.q_center_y), self.nCurMoveParam, false);
                    }
                });
            }
            this.labelList[i].killImg.visible = false;
            this.labelList[i].curNum = 0;
            this.labelList[i].maxNum = list[i].q_num;
            this.labelList[i].monsterId = list[i].q_monster;
            this.labelList[i].q_center_x = list[i].q_center_x;
            this.labelList[i].q_center_y = list[i].q_center_y;
            this.labelList[i].SetText("击杀: " + "<u>"+TextUtil.AddColor(Q_monster.Get(list[i].q_monster).q_name + "(0/" + list[i].q_num + ")", "24ff13")+"</u>");
            this.labelList[i].killImg.x = this.labelList[i]._textWidth;
        }
        for(var i = 0; i < backList.length; i++){
            if(!this.backLabelList[i]){
                var label = new MUILabel();
                label.ParseJson(this.labKill1.jsonobj);
                label.Init();
                this.listView.addChild(label);
                this.backLabelList.push(label);
            }
            this.backLabelList[i].SetText(backList[i]);
        }
        this._curMonsterPos.x = this.labelList[0].q_center_x;
        this._curMonsterPos.y = this.labelList[0].q_center_y;
        if(this.labelList[0].uiHeight*(list.length + backList.length) < this.imgBg2.uiHeight)
            this.listView.y = this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length);
        if(this.labelList.length > 3)
            this.listView.setSize(cc.size(this.imgBg2.uiWidth, this.imgBg2.uiHeight));
        else
            this.listView.setSize(cc.size(this.imgBg2.uiWidth, this.labelList[0].uiHeight*(list.length + backList.length)));
	    if(this.labelList.length){
            this.listView.setInnerContainerSize(cc.size(this.imgBg2.uiWidth, this.labelList[0].uiHeight*(headList.length + list.length + backList.length)));
            if(this.labelList[0].uiHeight*(list.length + backList.length) < this.imgBg2.uiHeight){
                if(this.btnHead.visible != true)
                    this.imgLine1.y = this.lineY + this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length);
                else
                    this.imgLine1.y = this.lineY + this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length) - this.btnHead.uiHeight;
            }
        }
    },

    //恶人谷 单独处理
    InitERenBossLabel:function(headList, list, backList){
        var self = this;
        for(var i = 0; i < list.length; i++){
            if(!this.labelList[i]){
                var label = new MUILabel();
                label.ParseJson(this.labKill1.jsonobj);
                label.Init();
                this.listView.pushBackCustomItem(label);
                this.labelList.push(label);
                label.setTouchEnabled(true);
                label.addTouchEventListener(function (sender, type) {
                    if (type == ccui.Widget.TOUCH_ENDED) {
                        // sender.
                        if(!self.nCurMoveParam)
                            self.nCurMoveParam = new AutoPathParam();
                        Mgr.mainPlayer.oCtrlAutoPath.RunToPt(cc.p(sender.q_center_x, sender.q_center_y), self.nCurMoveParam, false);
                    }
                });
            }
            this.labelList[i].curNum = 0;
            this.labelList[i].maxNum = list[i].q_num;
            this.labelList[i].monsterId = list[i].q_monster;
            this.labelList[i].q_center_x = list[i].q_center_x;
            this.labelList[i].q_center_y = list[i].q_center_y;
            this.labelList[i].alive = list[i].isLive;
            if(this.labelList[i].alive > 0){
                this.labelList[i].SetText("击杀: " + "<u>"+TextUtil.AddColor(Q_monster.Get(list[i].q_monster).q_name + "(1/" + list[i].q_num + ")", "24ff13")+"</u>");
            }
            else{
                this.labelList[i].liveTime = Mgr.login.GetServerTime()/1000 - this.labelList[i].alive;
                this.labelList[i].SetText("<u>"+TextUtil.AddColor("击杀: " +
                    Q_monster.Get(list[i].q_monster).q_name + "(0/" + list[i].q_num + ")" +
                    "(" + Math.ceil(this.labelList[i].liveTime - Mgr.login.GetServerTime()/1000) + ")" , "908478")+ "</u>");
            }
        }
        for(var i = 0; i < backList.length; i++){
            if(!this.backLabelList[i]){
                var label = new MUILabel();
                label.ParseJson(this.labKill1.jsonobj);
                label.Init();
                this.listView.addChild(label);
                this.backLabelList.push(label);
            }
            this.backLabelList[i].SetText(backList[i]);
        }
        this._curMonsterPos.x = this.labelList[0].q_center_x;
        this._curMonsterPos.y = this.labelList[0].q_center_y;
        if(this.labelList[0].uiHeight*(list.length + backList.length) < this.imgBg2.uiHeight)
            this.listView.y = this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length);
        if(this.labelList.length > 3)
            this.listView.setSize(cc.size(this.imgBg2.uiWidth, this.imgBg2.uiHeight));
        else
            this.listView.setSize(cc.size(this.imgBg2.uiWidth, this.labelList[0].uiHeight*(list.length + backList.length)));
        if(this.labelList.length){
            this.listView.setInnerContainerSize(cc.size(this.imgBg2.uiWidth, this.labelList[0].uiHeight*(headList.length + list.length + backList.length)));
            if(this.labelList[0].uiHeight*(list.length + backList.length) < this.imgBg2.uiHeight){
                if(this.btnHead.visible != true)
                    this.imgLine1.y = this.lineY + this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length);
                else
                    this.imgLine1.y = this.lineY + this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length) - this.btnHead.uiHeight;
            }
        }
    },

    //铸剑天下 单独处理
    InitBossLabel:function(headList, list, backList){
        var self = this;
        this.refreshTime = Mgr.monster.refreshTime;
        for(var i = 0; i < list.length; i++){
            if(!this.labelList[i]){
                var label = new MUILabel();
                label.ParseJson(this.labKill1.jsonobj);
                label.Init();
                this.listView.pushBackCustomItem(label);
                this.labelList.push(label);
                var killImg = new MUIImage();
                killImg.ParseJson(this.imgTaskCue1.jsonobj);
                killImg.Init();
                killImg.y = 2;
                label.addChild(killImg);
                label.killImg = killImg;
                label.setTouchEnabled(true);
                label.addTouchEventListener(function (sender, type) {
                    if (type == ccui.Widget.TOUCH_ENDED) {
                        // sender.
                        if(!self.nCurMoveParam)
                            self.nCurMoveParam = new AutoPathParam();
                        Mgr.mainPlayer.oCtrlAutoPath.RunToPt(cc.p(sender.q_center_x, sender.q_center_y), self.nCurMoveParam, false);
                    }
                });
            }
            this.labelList[i].killImg.visible = false;
            this.labelList[i].curNum = 0;
            this.labelList[i].maxNum = list[i].q_num;
            this.labelList[i].monsterId = list[i].q_monster;
            this.labelList[i].q_center_x = list[i].q_center_x;
            this.labelList[i].q_center_y = list[i].q_center_y;
            this.labelList[i].alive = list[i].isLive;
            if(this.labelList[i].alive == 2){
                this.labelList[i].SetText("即将刷新: " + "<u>"+TextUtil.AddColor(Q_monster.Get(list[i].q_monster).q_name + "(1/" + list[i].q_num + ")", "df2505")+"</u>");
            }
            else if(this.labelList[i].alive == 1){
                this.labelList[i].SetText("击杀: " + "<u>"+TextUtil.AddColor(Q_monster.Get(list[i].q_monster).q_name + "(1/" + list[i].q_num + ")", "24ff13")+"</u>");
                this.curItemId = i;
            }
            else if(this.labelList[i].alive == 0){
                this.labelList[i].SetText("<u>"+TextUtil.AddColor(Q_monster.Get(list[i].q_monster).q_name + "(0/" + list[i].q_num + ")", "908478")+ "</u>");
            }
            this.labelList[i].killImg.x = this.labelList[i]._textWidth;
        }
        for(var i = 0; i < backList.length; i++){
            if(!this.backLabelList[i]){
                var label = new MUILabel();
                label.ParseJson(this.labKill1.jsonobj);
                label.Init();
                this.listView.addChild(label);
                this.backLabelList.push(label);
            }
            this.backLabelList[i].SetText(backList[i]);
        }
        this._curMonsterPos.x = this.labelList[0].q_center_x;
        this._curMonsterPos.y = this.labelList[0].q_center_y;
        if(this.labelList[0].uiHeight*(list.length + backList.length) < this.imgBg2.uiHeight)
            this.listView.y = this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length);
        if(this.labelList.length > 3)
            this.listView.setSize(cc.size(this.imgBg2.uiWidth, this.imgBg2.uiHeight));
        else
            this.listView.setSize(cc.size(this.imgBg2.uiWidth, this.labelList[0].uiHeight*(list.length + backList.length)));
        if(this.labelList.length){
            this.listView.setInnerContainerSize(cc.size(this.imgBg2.uiWidth, this.labelList[0].uiHeight*(headList.length + list.length + backList.length)));
            if(this.labelList[0].uiHeight*(list.length + backList.length) < this.imgBg2.uiHeight){
                if(this.btnHead.visible != true)
                    this.imgLine1.y = this.lineY + this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length);
                else
                    this.imgLine1.y = this.lineY + this.imgBg2.uiHeight - this.labelList[0].uiHeight*(list.length + backList.length) - this.btnHead.uiHeight;
            }
        }
        var innerSize = this.listView.getInnerContainerSize();
        var pos = cc.p(0, 0);
        if(list.length - this.curItemId > 1){
            if(this.curItemId != 0)
                pos.y = (this.curItemId + 2)*this.labelList[0].uiHeight - innerSize.height - 8;
            else if(this.curItemId == 0)
                pos.y = (this.curItemId + 3)*this.labelList[0].uiHeight - innerSize.height - 8;
        }
        else
            pos.y = this.curItemId*this.labelList[0].uiHeight - innerSize.height - 8;

        this.listView.setInnerContainerPosition(pos);
    },

    UpdateLabel:function(monsterId){
	    for(var i = 0; i < this.labelList.length; i++){
	        if(this.labelList[i].monsterId == monsterId){
                this.labelList[i].curNum++;
                if(this.labelList[i].curNum < this.labelList[i].maxNum){
                    this.labelList[i].SetText("击杀: " + "<u>"+TextUtil.AddColor(Q_monster.Get(this.labelList[i].monsterId).q_name +
                        "(" + this.labelList[i].curNum  + "/" + this.labelList[i].maxNum + ")", "24ff13"));
                    this._curMonsterPos.x = this.labelList[i].q_center_x;
                    this._curMonsterPos.y = this.labelList[i].q_center_y;
                }
                else{
                    this.labelList[i].SetText("击杀: " + "<u>"+TextUtil.AddColor(Q_monster.Get(this.labelList[i].monsterId).q_name +
                        "(" + this.labelList[i].curNum  + "/" + this.labelList[i].maxNum + ")", "908478")+"</u>");
                    // this.listView.jumpToPercentVertical((i+1)/(this.labelList.length) * 100);
                    this.labelList[i].killImg.visible = true;
                    this.labelList[i].killImg.x = this.labelList[i]._textWidth;
                    if(this.labelList.length > 3){
                        if(this.labelList.length - i < 3)
                            break;
                        var pos = cc.p(this.labelList[i].x, -this.labelList[i].y + this.imgBg2.uiHeight - this.labelList[i].uiHeight);
                        this.listView.setInnerContainerPosition(pos);
                        if(this.labelList.length > 3 && ((this.labelList.length - i) < 3)){
                            this.imgLine1.y = this.lineY + this.labelList[i].uiHeight*(3 - this.labelList.length + i);
                        }
                    }
                }
            }
        }
    },

    UpdateBossHead:function(info){
	    if(info.status == 0){
            this.imgDie.visible = false;
            this.imgGo.visible = true;
        }
        else{
            this.imgDie.visible = true;
            this.imgGo.visible = false;
            this.labelList[0].curNum++;
            this.labelList[0].SetText(TextUtil.AddColor(Q_monster.Get(this.labelList[0].monsterId).q_name +
                "(" + this.labelList[0].curNum  + "/" + this.labelList[0].maxNum + ")", "908478"));
        }
    },

    SetTime:function(time){
	    this.time = time + Mgr.login.GetServerTime()/1000;
    },

    OnTimer:function(){
	    if(this.time){
	        var time = Math.ceil(this.time - Mgr.login.GetServerTime()/1000);
	        if(time > 0)
                this.labTime.SetText(TextUtil.SecondToHMS2(time));
	        else
                this.labTime.SetText(TextUtil.SecondToHMS2(0));
            if(this.isInZhujiantianxia){
                var leftTime = Math.ceil(this.refreshTime - Mgr.login.GetServerTime()/1000);
                if(leftTime > 0)
                    this.labKill.SetText(TextUtil.AddColor("距离首领刷新还有: " + TextUtil.SecondToHMS2(leftTime), "0xfeff02"));
                else
                    this.labKill.SetText(TextUtil.AddColor("首领已刷新", "0xfeff02"));
            }
	        if(this.isInDrgun){
                for(var i = 0; i < this.labelList.length; i++){
                    if(this.labelList[i].alive <= 0){
                        this.labelList[i].SetText("<u>"+TextUtil.AddColor("击杀: " +
                            Q_monster.Get(this.labelList[i].monsterId).q_name + "(0/" + this.labelList[i].maxNum + ")" +
                            "(" + Math.ceil(this.labelList[i].liveTime - Mgr.login.GetServerTime()/1000) + ")" , "908478")+ "</u>");
                    }
                }
            }
        }
    },

    _SelectedItemEvent:function(){

    },
} );
FBTaskPanelExt.PanelName = "FBTaskPanelExt";
PanelClassDic["FBTaskPanelExt"] = FBTaskPanelExt;
