var ZoneteamModMgr = ZoneteamModMgr || cc.Class.extend({
	_zoneListData:null,
	teamList:null,
	zoneInfos:null,
	_playerPanelArr:[],
	isInZoneFight:false,
	ctor:function() {
		this._zoneListData = new HashMap();
	},
	//队伍列表信息
	RecvResZoneTeamInfoGameToClinetMessage:function(msg) {
		cc.log("队伍列表=> "+JSON.stringify(msg));
		msg.teamInfo = this._HandleTeamInfoMembers(msg.teamInfo);
		msg.teamInfo.sort(function(a,b){return a.memberinfo.length - b.memberinfo.length;});
		var teamlist = msg.teamInfo;
		var len = teamlist.length;
		var mainPanel = this.GetDuorenPanel().mainPanel;
		mainPanel.SetZoneChallangeNum(msg);
		this._SetMyteam(msg.teamInfo);
		if(len>0 )
		{
			mainPanel.SetTeamlistData(msg);
		}
		else if(len == 0)
		{
			var listview = Mgr.crossteam.teamListview.Values()[0];
			if(listview)
			{
				listview.removeAllItems();
			}
		}
		Mgr.crossteam.teamList.Clear();
		for(var i = 0; i < len; i++ )
		{
			Mgr.crossteam.teamList.Put(teamlist[i].teamId,teamlist[i]);
		}
		mainPanel.ChangeVisible();
		if(!Mgr.crossteam.isInteam)
		{
			if(mainPanel.myTeamList)
			{
				mainPanel.myTeamList.removeAllItems();
				mainPanel.myTeamList.visible = false;
			}
		}
		else
		{
			var teamInfo = Mgr.crossteam.teamList.Get(msg.teamid);
			var data = {teamInfo:teamInfo}
			this._UpdateTheTeamInfo(data);
		}
		//var panel = Mgr.uiMgr.GetPanelByType(TeamPanelExt.PanelName);
		//if (panel && panel.curSubType == TeamEnum.PANEL_TEAM_QUICK_TEAM)
		//	panel.curSubPanel.SetRaidFbData(msg.teamInfo);
	},
	//刷新队伍信息
	RecvResZoneTeamInfoRefreshGameToClinetMessage:function(msg) {
		cc.log("刷新队伍信息------------"+JSON.stringify(msg));
		if(msg.teamInfo.memberinfo.length > 0)
		{
			this._SetMyteam([msg.teamInfo]);
			this._UpdateTheTeamInfo(msg);
		}
	},

	RecvResTeamMemberStatusGameToClinetMessage:function(msg) {
	},
	//邀请玩家
	RecvResZoneTeamInvitePlayerToClinetMessage:function(msg) {
		if(Mgr.plugset.GetSysSetInfo().banInviteTeam)
		{
			return;
		}
		EngineMgr.uiMgr.ShowPanelByType(YaoqingCueExt.PanelName,UIMgr.PANEL_LAYER_TOP);
		var panel = Mgr.uiMgr.GetPanelByType(YaoqingCueExt.PanelName);
		if(panel)
		{
			msg.zoneModel = msg.zonemodelid;
			panel.SetInformation(msg);
		}
	},
	//请求组队队伍面板信息
	SendReqZoneTeamClientToGameMessage:function(msg) {
		cc.log("====请求组队队伍面板信息=======")
		var msg = new ReqZoneTeamClientToGameMessage();
		Mgr.msgMgr.Send(msg);
	},
	//创建队伍
	SendReqZoneTeamCreatClientToGameMessage:function(onlyInvite,autoStart) {
		var msg = new ReqZoneTeamCreatClientToGameMessage();
		msg.autoStart = autoStart;
		msg.onlyInvite = onlyInvite;
		Mgr.msgMgr.Send(msg);
	},
	//改变设置
	SendReqZoneTeamChangeConfigToGameMessage:function(onlyInvite,autoStart) {
		var msg = new ReqZoneTeamChangeConfigToGameMessage();
		msg.onlyInvite = onlyInvite;
		msg.autoStart = autoStart;
		Mgr.msgMgr.Send(msg);
	},
	//加入队伍
	SendReqZoneTeamJoinClientToGameMessage:function(teamid,autoready) {
		var msg = new ReqZoneTeamJoinClientToGameMessage();
		msg.teamid = teamid;
		msg.autoready = autoready;
		Mgr.msgMgr.Send(msg);
	},
	//邀请玩家
	SendReqZoneTeamInvitePlayerToGameMessage:function(invitePlayerId) {
		var msg = new ReqZoneTeamInvitePlayerToGameMessage()
		msg.invitePlayerId = invitePlayerId;
		Mgr.msgMgr.Send(msg);
	},
	//改变准备状态
	SendReqZoneTeamReadyClientToGameMessage:function(msg) {
		var msg = new ReqZoneTeamReadyClientToGameMessage();
		Mgr.msgMgr.Send(msg);
	},
	//玩家离队
	SendReqZoneTeamLeaveClientToGameMessage:function(msg) {
		cc.log("请求离队-----------------------------")
		var msg = new ReqZoneTeamLeaveClientToGameMessage();
		Mgr.msgMgr.Send(msg);
	},
	//踢出玩家
	SendReqZoneTeamPickClientToGameMessage:function(playerid) {
		var msg = new ReqZoneTeamPickClientToGameMessage();
		msg.playerid = playerid;
		Mgr.msgMgr.Send(msg);
	},
	// 请求开始多人副本
	SendReqZoneTeamStarClientToGameMessage:function(msg) {
		var msg = new ReqZoneTeamStarClientToGameMessage();
		Mgr.msgMgr.Send(msg);
		Mgr.zone.SetCurrentZoneType(EnumZoneType.TYPE_LFDR);
	},

	SendReqZoneTeamInviteResultToGameMessage:function(teamId,result) {
		var msg = new ReqZoneTeamInviteResultToGameMessage();
		msg.teamId = teamId;
		msg.result = result;
		Mgr.msgMgr.Send(msg);
	},
    //跟随
	SendReqZoneTeamFollowClientToGameMessage:function(msg) {
        var msg = new ReqZoneTeamFollowClientToGameMessage();
        Mgr.msgMgr.Send(msg);
	},
    SendReqZoneTeamInviteNoticeClinetToGameMessage:function(msg) {
        var msg = new ReqZoneTeamInviteNoticeClinetToGameMessage();
        Mgr.msgMgr.Send(msg);
    },
	//倒计时放在进入副本之前（进入副本前没有广播信息，这里只有队长能看到）
	SetStartZoneTeamCountDown:function()
	{
		this.SendReqZoneTeamStarClientToGameMessage();
		//Mgr.uiMgr.HidePanelByType(DuorenPanelExt.PanelName);
		//EngineMgr.uiMgr.ShowPanelByType(FubenTimeCueExt.PanelName,UIMgr.PANEL_LAYER_TOP);
		//var timePanel = Mgr.uiMgr.GetPanelByType(FubenTimeCueExt.PanelName);
		//timePanel.ShowBeginTime(6,EnumZoneType.TYPE_LFDR, this.SendReqZoneTeamStarClientToGameMessage,EnumZoneType.TYPE_LFDR,this);
	},
	RequestZoneListData:function()
	{
		Mgr.zone.SendReqZoneBasicObtainToGameMessage(EnumZoneType.TYPE_LFDR);
	},
	HandleZoneListData:function(data)
	{
		cc.log("data=====lf=> "+JSON.stringify(data));
		this.zoneInfos = data;
		for(var i = 0; i < data.length; i++ )
		{
			var obj = {base:data[i],detail:Q_zone.Get(data[i].zoneModelid),item:Q_raid.Get(data[i].zoneModelid)};
			this._zoneListData.Put(data[i].zoneModelid,obj);
		}
		this._SetZonelistData(this._zoneListData);
	},
	_SetZonelistData:function(data)
	{
		Mgr.crossteam.SetZonelistData(data);
	},
	GetDuorenPanel:function()
	{
		return Mgr.uiMgr.GetPanelByType(DuorenPanelExt.PanelName);
	},
	_SetMyteam:function(msg)
	{
		if(!msg)
		{
			Mgr.crossteam.isInteam = false;
			Mgr.crossteam.myTeam = null;
			return;
		}
		var teamlist = msg;
		var len = teamlist.length;
		var pId = Mgr.player.mainPlayer.sid.toGID();
		for ( var i = 0; i < len; i++ )
		{
			var memberlist = teamlist[i].memberinfo;
			var len2 = memberlist.length;
			for ( var j = 0; j < len2; j++ )
			{
				if(memberlist[j].memberId.toGID() == pId)
				{
					Mgr.crossteam.isInteam = true;
					teamlist[i].zoneModelId = 9001;
					Mgr.crossteam.myTeam =teamlist[i];
					if(memberlist[j].job == EnumCrossteamType.TEAM_CAPTAIN)//队长，自动准备
					{
						this.SendReqZoneTeamReadyClientToGameMessage(EnumCrossteamType.STATE_READY);
					}
					var yqMainPanel = Mgr.uiMgr.GetPanelByType(YaoqingMainExt.PanelName);
					if(yqMainPanel && yqMainPanel.visible)
					{
						yqMainPanel.RequiestPlayerData();
					}
					return;
				}
			}
		}
		this._SetMyteam(false);
	},
	//更新某只队伍信息
	_UpdateTheTeamInfo:function(data)//ShowOrHideTeamlist
	{
		var teamData = data.teamInfo;
		var mainPanel = this.GetDuorenPanel().mainPanel;
		//玩家所在队伍
		if(teamData.teamId.toGID() == Mgr.crossteam.myTeam.teamId.toGID())
		{
			var myTeamList = mainPanel.myTeamList;//listview
			if(myTeamList&&myTeamList.getItems().length>0)
			{
				var oldList = myTeamList.getItems();
				var newList = teamData.memberinfo;
				for( var i = 0; i < EnumCrossteamType.TEAM_MEM_NUMBER; i++)
				{
					oldList[i].UpdateFrameData(newList[i]);
				}
			}
			else
			{
				mainPanel.ShowOrHideTeamlist(teamData.zoneModelId);
			}
			mainPanel.SetYaoQingCheckBoxState(data.teamInfo.onlyInvite);
			mainPanel.SetManYuanKaiShiCheckBoxState(data.teamInfo.autoStart);
		}
		//非玩家所在队伍,1:找到队伍所在副本,2:找到队列中的该队伍
		var listView = Mgr.crossteam.teamListview.Get(teamData.zoneModelId);
		if(listView)
		{
			var items = listView.getItems();
			for(var i = 0; i < items.length; i++ )
			{
				if(items[i].data.teamId.toGID() == teamData.teamId.toGID())
				{
					items[i].UpdateFrameData(teamData);
					break;
				}
			}
		}
	},
	_HandleTeamInfoMembers:function(teamInfo)
	{
		var arr = [];
		for(var i = 0; i <teamInfo.length;i++)
		{
			if(teamInfo[i].memberinfo.length>0)
			{
				arr.push(teamInfo[i]);
			}
		}
		return arr;
	},
});