var DanbiMainExt = DanbiMain.extend ( {
	_className:"DanbiMainExt",
	ctor:function(){
		this._super();
	},

	Init:function () {
		var self = this;
		DanbiMain.prototype.Init.call(this);
		this.btnMoney.addClickEventListener(function (target) {
			if(self.detail.status == 1){
				Mgr.dailyactivity.SendReqDailyActivitiesGetRewardMessage(self.detail.activityId, 1);
			}else if(self.detail.status == 2){
				var panel = Mgr.uiMgr.ShowPanelByType(RechargePanelExt.PanelName);
                panel.ChangePanel(RechargeTypeEnum.TYPE_RECHARGE);
			}
        });
		this.btnMoney.setSwallowTouches(false);
    },

	SetData:function (info) {
        this.detail = info;
		var mode = JSON.parse(info.activityReward);
		var item = ItemUtil.ItemIdToItem(mode[0].mod);
		GridUtil.SetItemGrid(this.gridGold, item);
        this.gridGold.setSwallowTouches(false);
        this.imglabNum.SetAlign(LableAlign.CENTER);
		this.imglabNum.SetText(info.special[0].beanInfo.need);
		this.labCue.SetHtmlText(info.introduction);
		var str = "充" + info.special[0].beanInfo.need / 10 + "元";
		if(info.status == 0){
			str = "已领取";
			Filter.GrayScale(this.btnMoney);
		}else if(info.status == 1){
			str = "可领取";
		}else {
            Filter.UnGray(this.btnMoney);
		}
        this.btnMoney.setTitleText(str);
    },
} );
DanbiMainExt.PanelName = "DanbiMainExt";
PanelClassDic["DanbiMainExt"] = DanbiMainExt;
