var FuhuoPanelExt = FuhuoPanel.extend ( {
	_className:"FuhuoPanelExt",

	btnList:null,
	btnInfo:null,

	ctor:function(){
		this._super();
        this.layoutCom.layoutType = MLLAYOUT_C;
	},

    Init:function(){
        FuhuoPanel.prototype.Init.call(this);

        this.btnList = [this.imgTbDi, this.imgTbDi2, this.imgTbDi3, this.imgTbDi4];
        this.btnInfo = [{pos : BtnGroupUtil.M_ROLE, type: 1, url: "other/zhujiemian/btn/tubiao_zuoxia/js_btn.png"},
						{pos : BtnGroupUtil.M_FORGR, type: 2, url: "other/zhujiemian/btn/tubiao_zuoxia/dz_btn.png"},
						{pos : BtnGroupUtil.M_FORGR, type: 3, url: "other/zhujiemian/btn/tubiao_zuoxia/dz_btn.png"},
						{pos : BtnGroupUtil.M_MINIMAP4, type: 4, url: "other/zhujiemian/huodongicon/tjzd_btn.png"}]

		var self = this;
        this.InitBtn();
        this.btn1.addClickEventListener(function(event){
            Mgr.player.SendReqReviveMessage();
            if (this.timerId)
            	TimerUtil.ClearTimeUpdate(this.timerId, this);
            EngineMgr.uiMgr.HidePanel(self);
        });
        this.btn2.addClickEventListener(function(event){
        	var needGold = JSON.parse(Q_global.Get(47).q_string_value)[0][1];
        	if(needGold > Mgr.mainPlayer.attributeData.gold){
                // Mgr.tips.ShowNotice("元宝不足");
                AlertExt.NoEnoughGold(needGold - Mgr.mainPlayer.attributeData.gold);
			}
			else{
                Mgr.player.SendReqLocalReviveMessage();
                if (this.timerId)
                   TimerUtil.ClearTimeUpdate(this.timerId, this);
                EngineMgr.uiMgr.HidePanel(self);
			}
        });
	},

    InitBtn:function(){
        var self = this;

        for(var i = 0; i < 4; i++){
            (function(i){
                EngineMgr.uiMgr.GetAsynResByUrl("other/siwangfuhuo/image/tbdi.png", function(){
                    self.btnList[i].loadTexture(self.btnInfo[i].url, ccui.Widget.PLIST_TEXTURE);
                }, self.btnList[i]);
            })(i);
            this.btnList[i].type = this.btnInfo[i].type;
            this.btnList[i].setTouchEnabled(true);
            this.btnList[i].addTouchEventListener(function(sender,type)
            {
                if ( type == ccui.Widget.TOUCH_ENDED )
                {
                    switch(sender.type){
                        case 1:
                            Mgr.uiMgr.ShowPanelByType(PlayerPanelExt.PanelName).ChangePage(EnumResline.HORSE);
                            break;
                        case 2:
                            Mgr.uiMgr.ShowPanelByType(DuanzaoPanelExt.PanelName).ChangePanel(DuanzaoTypeEnum.EQUIP_SUIT);
                            break;
                        case 3:
                            Mgr.uiMgr.ShowPanelByType(DuanzaoPanelExt.PanelName).ChangePanel(DuanzaoTypeEnum.EQUIP_INLAY);
                            break;
                        case 4:
                            Mgr.uiMgr.ShowPanelByType(TaijiPanelExt.PanelName);
                            break;
                    }
                }
            });
        }
    },

	SetData:function(info){
	    if(info.monstermodelid)
            this.labJiangli.SetText("<font color=\"#e5ffff\">你已被<font color=\"#fa3d23\">" + Q_monster.Get(info.monstermodelid).q_name + "<font color=\"#e5ffff\">击败了！</font>");
	    else if(info.attackername)
            this.labJiangli.SetText("<font color=\"#e5ffff\">你已被<font color=\"#fa3d23\">" + info.attackername + "<font color=\"#e5ffff\">击败了！</font>");
        this.timerId = TimerUtil.TimeUpdate(this.OnTimer, this, 0.1);
        this.endTime = Mgr.login.GetServerTime()/1000 + 15;

        for(var i = 0; i < 4; i++){
            if(!BtnGroupUtil.CheckOpenFunctionCondition(this.btnInfo[i].pos, this.btnInfo[i].type)){
                this.btnList[i].visible = false;
                continue;
            }
            this.btnList[i].visible = true;
        }
	},

    OnTimer:function(){
        var serverTime = Mgr.login.GetServerTime()/1000;
        var leftTime = this.endTime - serverTime;
        if(leftTime < 0){
            TimerUtil.ClearTimeUpdate(this.timerId, this);
            EngineMgr.uiMgr.HidePanel(this);
            return;
		}
        this.labShiJian.SetHtmlText(TextUtil.FormatStr( this.labShiJian.GetHtmlText(), [Math.ceil(leftTime)]));
	}
} );
FuhuoPanelExt.PanelName = "FuhuoPanelExt";
PanelClassDic["FuhuoPanelExt"] = FuhuoPanelExt;
