var TaijiActivitiesListExt = TaijiActivitiesList.extend ( {
	_className:"TaijiActivitiesListExt",
	_id:0,
	_type:0,
	_isGray:false,
	_crayNum:-1,
	ctor:function(){
		this._super();
	},
	
	Init:function(){
		TaijiActivitiesList.prototype.Init.call( this );
		
		this.imgGaoliang.setVisible(false);
        this.imgList.setZoomScale(0);
		var self = this;
		this.imgList.addClickEventListener(function () {
			Mgr.gossip.taijiPanel.activityPanel.SetCurActiveShow(self._id);
		});
		this.btnGo.addClickEventListener(function () {
			if(self._type == EnumZoneActiveType.TYPE_GUARDCPITAL){
				Mgr.guardcpital.isGoToActive = true;
				Mgr.guardcpital.Fly2ActivityArea();
			}else if(self._type == EnumZoneActiveType.TYPE_SWORD){
				Mgr.sword.SendReqEnterSwordZoneMessage();
			}else if(self._type == EnumZoneActiveType.TYPE_HUSONG){
				Mgr.convoy.SendReqConvoyTransferToGameMessage();
			}else if(self._type == EnumZoneActiveType.TYPE_GUILD){
				Mgr.chat.curChatChannel = EnumChatChannelType.FACTION;
				Mgr.chat.ShowHideChatPanel(true);
			}else if(self._type == EnumZoneActiveType.TYPE_ZONE){
				Mgr.zoneteam.RequestZoneListData();
			}else if(self._type == EnumZoneActiveType.TYPE_GUILDBOSS_JY){
				//阻击后援（精英）
			}else if(self._type == EnumZoneActiveType.TYPE_WORLDBOSS){
				//世界首领
                var isOpen = BtnGroupUtil.unOpenAseert(BtnGroupUtil.M_MINIMAP1,BtnGroupUtil.MINIMAP1_WORLDBOSS);
                if(isOpen)
                {
                    Mgr.monster.SendReqQueryBossListMessage(0);
                }
			}else if(self._type == EnumZoneActiveType.TYPE_GUILDBOSS){
				var isGuild = !Mgr.player.mainPlayer.guildId.IsZero();
				if(isGuild)
					Mgr.uiMgr.ShowPanelByType( GuildPanelExt.PanelName ).ChangePanel(GuildEnum.PANEL_BOSS);
				else
					Mgr.uiMgr.ShowPanelByType( GuildPanelExt.PanelName ).ChangePanel(GuildEnum.PANEL_INFO);
            }else if(self._type == EnumZoneActiveType.TYPE_MASTERBUCKET){
                MasterBucketUtil.Fly2ActivityArea();
            }
			else if( self._type == EnumZoneActiveType.TYPE_ZHUJIANTIANXIA ){	//铸剑天下
				Mgr.map.SendReqGoldMapTransMessage(1003);
				Mgr.mainPlayer.oCtrlAutoPath.targetMapId = 1003;
				Mgr.mainPlayer.oCtrlAutoPath.targetPos = cc.p(56,96);
                Mgr.monster.showType = 4;
			}else if( self._type == EnumZoneActiveType.TYPE_ERENGU ){	//恶人谷
				cc.log("erengu");
				Mgr.monster.SendReqQueryBossListMessage(0);
				Mgr.monster.showType = 3;
			}

			EngineMgr.uiMgr.HidePanelByType(TaijiPanelExt.PanelName);
		});
	},
	
	GetOpenDateStr:function(str){
		var dayArr = JSON.parse(str);
		var dateStr = "";
		for( var j = 0; j < dayArr.length; j++ ){
			var daynum = parseInt(dayArr[j]);
			if( daynum == -1 ){
				dateStr = "天";
				break;
			}
			if(j!=0)
				dateStr+="、";
			dateStr += TextUtil.GetWeekStr(daynum);
		}
		return dateStr;
	},
	
	SetActivityId:function(id){
		this._id = id;
		var data = Q_timing.Get(id);
		this._type = data.q_type;

		UIUtil.LoadButtonImage( this.imgList, "other/richangrenwu/image/bg/" + id + ".png");
		this.labName.SetHtmlText(TextUtil.FormatStr( this.labName.GetHtmlText(), [ data.q_name ] ));
		this.labTime.SetHtmlText(TextUtil.FormatStr( this.labTime.GetHtmlText(), [ data.q_time + " （每" + this.GetOpenDateStr(data.q_day) + "开启） " ] ));
		if(Mgr.player.mainPlayer.attributeData.level >= data.q_level){
			this.labCue.setVisible(false);
			this.imgDikuang2.setVisible(false);
		}else{
			this.labCue.SetHtmlText(TextUtil.FormatStr( this.labCue.GetHtmlText(), [ data.q_level ] ));
			this.labCue.setVisible(true);
			this.labCue.x = this.labTime.x + this.labTime._textWidth;
			this.imgDikuang2.setVisible(true);
		}

		var date = Mgr.login.GetServerDate();
		var activeBeginDate = Mgr.gossip.taijiPanel.activityPanel._activeBeginTimeHash.Get(this._id);
		var isOnday = Mgr.gossip.taijiPanel.activityPanel._activeDateHash.Get(this._id);
		if( isOnday && (date.getHours() < activeBeginDate.getHours() || (date.getHours() == activeBeginDate.getHours() && (date.getMinutes() < activeBeginDate.getMinutes())))){//活动未开启
			this.imgDikuang.setVisible(false);
			this.btnGo.setVisible(false);
			this.imgOver.setVisible(false);
			if(this._isGray){
				//Filter.UnGray(this.imgList);
				this._isGray = false;
				TimerUtil.ClearTimeout(this._crayNum);
				this._crayNum = -1;
			}
		}else{
			var activeEndDate = Mgr.gossip.taijiPanel.activityPanel._activeEndTimeHash.Get(this._id);
			if( isOnday && (date.getHours() < activeEndDate.getHours() || (date.getHours() == activeEndDate.getHours() && (date.getMinutes() < activeEndDate.getMinutes())))){//活动进行中
				this.imgDikuang.setVisible(true);
				this.btnGo.setVisible(Mgr.player.mainPlayer.attributeData.level >= data.q_level);
				this.imgOver.setVisible(false);
				if(this._isGray){
					//Filter.UnGray(this.imgList);
					this._isGray = false;
					TimerUtil.ClearTimeout(this._crayNum);
					this._crayNum = -1;
				}
			}else{//活动已结束
				this.imgDikuang.setVisible(false);
				this.btnGo.setVisible(false);
				this.imgOver.setVisible(true);
				this.imgDikuang2.setVisible(false);
				if(!this._isGray){
					var self = this;
					this._crayNum = TimerUtil.SetTimeout(this, function() {
						//Filter.GrayScale(self.imgList);
					}, 500);
					// Filter.GrayScale(this);
					this._isGray = true;
				}
			}
		}

        this.SetSelected(Mgr.gossip.taijiPanel.activityPanel._curShowId == id);
	},
    SetSelected:function(selected){
        this.imgGaoliang.visible = selected;
    }
} );
TaijiActivitiesListExt.PanelName = "TaijiActivitiesListExt";
PanelClassDic["TaijiActivitiesListExt"] = TaijiActivitiesListExt;
