var TaijiActivitiesMainExt = TaijiActivitiesMain.extend ( {
	_className:"TaijiActivitiesMainExt",
	_activeItemHash:null,
	_activeRawardItemArr:null,
	_activeRawardItemWaveArr:null,
	_startRewardIndex:0,
	_scrollRewardView:null,
	_activeBeginTimeHash:null,//开始时间
	_activeEndTimeHash:null,//结束时间
	_activeDateHash:null,//活动日期
	_orderHash:null,
	_rewardCellNum:7,//显示cell个数
	cellH:0,
	_rawardWaveArr:null,
	_listLen:0,//活动总条数
	_rawardCon:null,
	_curDay:-1,//当前显示星期几的活动
	_curShowId:0,
	_scrollView:null,
	_gridList:null,
	_listView:null,
	ctor:function(){
		this._super();
		this._gridList = [];
	},
	
	Init:function(){
		TaijiActivitiesMain.prototype.Init.call( this );

		this.InitListView();
	},

	RegisterListeners:function(){
		var self = this;

		this._scrollRewardView.addCCSEventListener(function () {
			self.UpdateProgBar(self);
		});
	},

	InitPanel:function(){
		this.gridItem.visible = false;
		// this._rawardCon = new TaskRewardsGridCon();
		// this.addChild(this._rawardCon);
		// this._rawardCon.x = this.gridItem.x;
		// this._rawardCon.y = this.gridItem.y;

		this.InitPageView();
		// this.InitItems();
		this.RegisterListeners();
	},

	InitPageView:function(){
		this._scrollRewardView = ccui.ScrollView();
		this._scrollRewardView.setDirection(ccui.ScrollView.DIR_VERTICAL);
		this._scrollRewardView.setTouchEnabled(true);
		this._scrollRewardView.inertiaScrollEnabled=true;
		this._scrollRewardView.setScrollBarEnabled(false);
		this._scrollRewardView.setBounceEnabled(true);
		this.imgBg1.addChild(this._scrollRewardView);
		
		this._scrollView = ccui.ScrollView();
		this._scrollView.setDirection(ccui.ScrollView.DIR_VERTICAL);
		this._scrollView.setTouchEnabled(true);
		this._scrollView.inertiaScrollEnabled=false;
		this._scrollView.setScrollBarEnabled(false);
		this._scrollView.setBounceEnabled(true);
		this._scrollView.x = this.labCue2.x;
		this._scrollView.y = this.labCue2.y;
		cc.log("this.labCue2.width:"+this.labCue2.width + " " + this.labCue2.height);
		this._scrollView.setSize(cc.size(this.labCue2.width, this.labCue2.height));
		this.addChild(this._scrollView);
		UIUtil.UIRemoveSelf(this.labCue2);
		this.labCue2.x = 0;
		this.labCue2.y = 0;
		this._scrollView.addChild(this.labCue2);
	},

	InitListView:function(){
        this._listView = new ccui.ListView();
        this._listView.setDirection(ccui.ScrollView.DIR_HORIZONTAL);//视图滚动方向
        this._listView.setTouchEnabled(true);					//触摸开启
        this._listView.inertiaScrollEnabled = false; 			//滚动惯性
        this._listView.setScrollBarEnabled(false);				//滚动条
        this._listView.setBounceEnabled(true);					//边界回弹
        // this.listView.addEventListener(this._SelectedItemEvent);
        this.imgBg2.addChild(this._listView);
	},

	InitItems:function(){
		var self = this;
		this._activeItemHash = new HashMap();
		this._activeEndTimeHash = new HashMap();
		this._activeBeginTimeHash = new HashMap();
		this._activeDateHash = new HashMap();
		this._orderHash = new HashMap();
		// var activeList = Mgr.dataMgr.GetZoneList().sort(this.ShortZoneData);
		// var length = activeList.length;
		var activeData = null;

		var activeList = Q_timing.GetList();
		this._listLen = activeList.length;
		var showLen = Math.min(this._rewardCellNum, this._listLen);
		this._rawardWaveArr = [];
		this._activeRawardItemArr = [];
		this._activeRawardItemWaveArr = [];

		var curDate = Mgr.login.GetServerDate();
		this._curDay = curDate.getDay();
		var realShowLen = 0;
		for( var i = 0; i < this._listLen; i++ )
		{
			activeData = activeList[ i ];
			var dayArr = JSON.parse(activeData.q_day);
			var needShow = false;
			for( var j = 0; j < dayArr.length; j++ ){
				var daynum = parseInt(dayArr[j]);
				if( daynum == -1 ){
					needShow = true;
					break;
				}
				if( daynum == 7 )
					daynum = 0;
				if(daynum == this._curDay){
					needShow = true;
					break;
				}
			}
			this._activeDateHash.Put(activeData.q_id, needShow)

//			if(!needShow)
//				continue;
			
			realShowLen += 1;
			var endTimeH = activeData.q_time.substr(activeData.q_time.length - 5,2);
			var endTimeM = activeData.q_time.substr(activeData.q_time.length - 2,2);
			var date = new Date();
			date.setHours(parseInt(endTimeH));
			date.setMinutes(parseInt(endTimeM));
			this._activeEndTimeHash.Put(activeData.q_id, date);
			this._orderHash.Put(activeData.q_id, activeData.q_order)
			var beginTimeH = activeData.q_time.substr(0,2);
			var beginTimeM = activeData.q_time.substr(3,2);
			var dateBeging = new Date();
			dateBeging.setHours(parseInt(beginTimeH));
			dateBeging.setMinutes(parseInt(beginTimeM));
			this._activeBeginTimeHash.Put(activeData.q_id, dateBeging);
			
			this._rawardWaveArr.push(activeData.q_id);
			if(i < showLen){
				var activeItem = this._GetRawardCell(this._rawardWaveArr[i],true);
				activeItem.SetActivityId( activeData.q_id );
//				activeItem.y = (this._listLen - i - 1) * activeItem.height;
				activeItem.x = 0;
				this._activeItemHash.Put( activeData.q_id, activeItem );
				this.cellH = activeItem.uiHeight;
			}
		}
		this._listLen = realShowLen;
		for(i = 0; i < this._activeRawardItemWaveArr.length; i++){
			this._activeRawardItemArr[i].y = (this._listLen - i - 1) * activeItem.uiHeight;
		}
		
		this._scrollRewardView.setSize(cc.size(this.imgBg1.width, this.imgBg1.height));
		this._scrollRewardView.setInnerContainerSize(cc.size(752, this._listLen * activeItem.height));
		
		this.UpdateData();
		this.SetCurActiveShow(this._rawardWaveArr[0]);
	},

	_GetRawardCell:function (wave, right) {
		var rawardcell = null;
		if( this._activeRawardItemWaveArr.length >= (this._rewardCellNum+1) ){
			if(right){
				rawardcell = this._activeRawardItemArr.shift();
				this._activeRawardItemWaveArr.shift();
			}else{
				rawardcell = this._activeRawardItemArr.pop();
				this._activeRawardItemWaveArr.pop();
			}
		}else{
			var cell = new TaijiActivitiesListExt();
			cell.LoadPanel();
			cell.retain();
//			cell.Init();
			this._scrollRewardView.addChild(cell);
			rawardcell = cell;
		}
		if(right){
			this._activeRawardItemArr.push(rawardcell);
			this._activeRawardItemWaveArr.push(wave);
		}else{
			this._activeRawardItemArr.unshift(rawardcell);
			this._activeRawardItemWaveArr.unshift(wave);
		}
		return rawardcell;
	},

	UpdateData:function(){
		var oldBeginIndex = this._rawardWaveArr.indexOf(this._activeRawardItemWaveArr[0]);
		this._rawardWaveArr = this._rawardWaveArr.sort(this.ShortGossipIds);
		for(var i = 0; i < this._activeRawardItemWaveArr.length; i++){
			this._activeRawardItemWaveArr[i] = this._rawardWaveArr[ oldBeginIndex + i ];
			this._activeRawardItemArr[i].SetActivityId( this._activeRawardItemWaveArr[i] );
			this._activeItemHash.Put( this._activeRawardItemWaveArr[i], this._activeRawardItemArr[i] );
		}
	},

	ShortGossipIds:function(p1,p2) {
		var self = Mgr.gossip.taijiPanel.activityPanel;
		var date1 = self._activeDateHash.Get(p1);
		var date2 = self._activeDateHash.Get(p2);
		var endDate1 = self._activeEndTimeHash.Get(p1);
		var endDate2 = self._activeEndTimeHash.Get(p2);
		var order1 = self._orderHash.Get(p1);
		var order2 = self._orderHash.Get(p2);
		var h1 = (endDate1.getHours() == 0 ? 24 : endDate1.getHours())
		var h2 = (endDate2.getHours() == 0 ? 24 : endDate2.getHours())
		var curDate = Mgr.login.GetServerDate();
		if( curDate.getHours() > h1 || (curDate.getHours() == h1 && curDate.getMinutes() > endDate1.getMinutes()) )
		{
			if( curDate.getHours() > h2 || (curDate.getHours() == h2 && curDate.getMinutes() > endDate2.getMinutes()) )
			{
				if (order1 < order2){
					if(date1 == false && date2 == true)
						return 1;
					return -1;
				}
				else if (order1 == order2){
					if(date1 == false && date2 == true)
						return 1;
					else if(date1 == true && date2 == false)
						return -1;
					return 0;
				}
				else{
					if(date1 == true && date2 == false)
						return -1;					
					return 1;
				}
			}else{
				if(date1 == true && date2 == false)
					return -1;		
				return 1;
			}
		}else{
			if( curDate.getHours() > h2 || (curDate.getHours() == h2 && curDate.getMinutes() > endDate2.getMinutes()) )
			{
//				cc.log("curDate.getHours()"+curDate.getHours());
//				cc.log("curDate.getMinutes()"+curDate.getMinutes());
//				cc.log("h1"+h1);
//				cc.log("endDate1.getMinutes()"+endDate1.getMinutes());
//				cc.log("h2"+h2);
//				cc.log("endDate2.getMinutes()"+endDate2.getMinutes());
			}else{
				if (order1 < order2){
					if(date1 == false && date2 == true)
						return 1;
					return -1;
				}
				else if (order1 == order2){
					if(date1 == false && date2 == true)
						return 1;
					else if(date1 == true && date2 == false)
						return -1;
					return 0;
				}
				else{
					if(date1 == true && date2 == false)
						return -1;					
					return 1;
				}
			}
		}
	},

	UpdateProgBar:function(){
		var isDown = false;
		var index = -1;
		var oldStarRawardIndex = this._startRewardIndex;
		this._startRewardIndex = (this._listLen * this.cellH - 526 + this._scrollRewardView.getInnerContainerPosition().y)/this.cellH;
		if( this._startRewardIndex < oldStarRawardIndex ){
			if(this._startRewardIndex%1 < 0.8){
				index = Math.max(Math.ceil(this._startRewardIndex)-1, 0);
			}else{
				index = Math.max(Math.ceil(this._startRewardIndex), 0);
			}
			isDown = false;
		}else if( this._startRewardIndex > oldStarRawardIndex ){
			if(this._startRewardIndex%1 > 0.8){
				index = Math.floor(this._startRewardIndex)+this._rewardCellNum+1;
			}else{
				index = Math.floor(this._startRewardIndex)+this._rewardCellNum;
			}
			isDown = true;
		}
		var beginAddIndex = -1;
		var targetIndex = -2;
		if( isDown ){
			var nowLastIndex = this._rawardWaveArr.indexOf(this._activeRawardItemWaveArr[this._activeRawardItemWaveArr.length-1]);
			if( index > nowLastIndex ){
				beginAddIndex = nowLastIndex + 1;
				targetIndex = index;
			}
		}
		else{
			var nowFirstIndex = this._rawardWaveArr.indexOf(this._activeRawardItemWaveArr[0]);
			if( index < nowFirstIndex && index >= 0 ){
				beginAddIndex = index;
				targetIndex = nowFirstIndex - 1;
			}
		}
		for( beginAddIndex; beginAddIndex <= targetIndex; beginAddIndex++){
			if( beginAddIndex > -1 && this._rawardWaveArr[beginAddIndex] && this._activeRawardItemWaveArr.indexOf(this._rawardWaveArr[beginAddIndex]) == -1 ){
				var cell = this._GetRawardCell(this._rawardWaveArr[beginAddIndex],isDown);
				cell.SetActivityId(this._rawardWaveArr[beginAddIndex]);
				cell.y = (this._listLen - beginAddIndex - 1) * cell.height;
			}
		}
	},
	
	SetCurActiveShow:function (id) {
		if(id == this._curShowId)
			return;
		UIUtil.LoadImage( this.imgBg, "other/richangrenwu/image/bgyou/" + id + ".png");
        for(var data=this._activeRawardItemArr,length=data.length,k=0,v=data[k];k<length;v=data[++k]){
            v.SetSelected(id == v._id);
        }

		var data = Q_timing.Get(id);
		this._curShowId = id;
		this.labTitle.SetHtmlText(TextUtil.FormatStr( this.labTitle.GetHtmlText(), [ data.q_name ] ));
		this.labCue2.SetHtmlText(TextUtil.LineFeedStr(TextUtil.FormatStr( this.labCue2.GetHtmlText(), [ data.q_introduce ] )));
		var textH = ( this.labCue2._rowCount - 1 ) * ( this.labCue2._textHeight + this.labCue2._leading ) + this.labCue2._textHeight;
		cc.log("this.labCue2.textHeight:"+textH + " " + Math.abs(textH - this.labCue2.GetHeight()));
		this._scrollView.setInnerContainerSize(cc.size(this.labCue2.width, textH));
		this.labCue2.y = (textH > this.labCue2.GetHeight() ? textH - this.labCue2.GetHeight() : 0);
		
		// this._rawardCon.Clear();
		var rawardStr = data.q_item_show;
		if( rawardStr == "" ){
			this._listView.setVisible(false);
		}
		else{
			var rawards = JSON.parse( rawardStr );
			if( rawards ){
				// for ( var i = 0; i < rawards.length ; i ++){
				// 	var item = ItemUtil.ItemIdToItem(rawards[ i ].mod,rawards[ i ].num,0);
				// 	this._rawardCon.AddComItem(item,this.gridItem);
				// }
                //
				// if ( rawards.length > 0 ){
				// 	this._rawardCon.Layout( this.gridItem.uiWidth * rawards.length, this.gridItem.uiHeight, this.gridItem.uiWidth, this.gridItem.uiHeight );
				// }
                this._listView.setSize(cc.size(this.imgBg2.uiWidth, this.imgBg2.uiHeight));
                this._listView.setInnerContainerSize(cc.size(rawards.length * this.gridItem.uiWidth, this.imgBg2.uiHeight));
                var i = 0;
                for(; i < rawards.length; i++){
                    if(!this._gridList[i]){
                        var grid = new MUIGrid();
                        grid.ParseJson(this.gridItem.jsonobj);
                        grid.Init();
                        // grid.x = this.gridItem.x + grid.gridItem * i;
                        this._listView.pushBackCustomItem(grid);
                        this._gridList.push(grid);
                    }
                    var coinInfo = {};
                    this._gridList[i].visible = true;
                    this._gridList[i].setPosition(cc.p(this.gridItem.x + this.gridItem.uiWidth*i, 4));
                    coinInfo.itemModelId = rawards[i].mod;
                    coinInfo.itemNum = rawards[i].num;
                    coinInfo.itemBind = rawards[i].bind;
                    GridUtil.SetItemGrid(this._gridList[i],coinInfo);
                }
                for(;i < this._gridList.length; i++){
                    this._gridList[i].visible = false;
				}
			}
		}
	},

	OnShow:function(){
		var curDate = Mgr.login.GetServerDate();
		if(this._curDay != curDate.getDay()){
			this.InitItems();
		}else{
			this.UpdateData();
		}
		var oldid = this._curShowId;
		this._curShowId = 0;
		this.SetCurActiveShow(oldid);
	},
	
	OnHide:function(){
		this._super();
		// this._rawardCon.Clear();
	}
} );
TaijiActivitiesMainExt.PanelName = "TaijiActivitiesMainExt";
PanelClassDic["TaijiActivitiesMainExt"] = TaijiActivitiesMainExt;
