var GuildBossMarkExt = GuildBossMark.extend ( {
	_className:"GuildBossMarkExt",
    _itemGrid:null,
	_callBack:null,
    _timerNum:0,
    _countTime:5,
	ctor:function(){
		this._super();
		this.layoutCom.layoutType = MLLAYOUT_RB;
        this.layoutCom.layoutOffy = 200;
        this.layoutCom.layoutOffx = -318;
	},

	Init:function() {
		var self = this;
		GuildBossMark.prototype.Init.call(this);

		this.btnClose.addClickEventListener(function (event) {
            self.HideSelf();
            var equipList = Mgr.backpack.newEquipList;
            if(equipList.length > 0){
                var newItem = equipList.shift();
                var panel = EngineMgr.uiMgr.ShowPanelByType(GuildBossMarkExt.PanelName,UIMgr.PANEL_LAYER_POP);
                panel.GetNewEquipTips(newItem, function(){
                    Mgr.equip.SendWearEquipMessage(newItem.itemId);
                });
            }
		});
		this.btnJoin.addClickEventListener(function (event) {
			if ( self._callBack )
				self._callBack();
            self.HideSelf();
		});
	},

	SetModel:function ( titleStr, callBack ,tStr) {
		this._callBack = callBack;
		this.labName.SetString(titleStr);
		if(tStr){
			this.lab2.SetString(tStr);
		}else {
            this.lab2.SetString("");
		}
		var url = "other/zhujiemian/huodongicon/jzboss_btn.png"
		var imgMode = this.imgIcon;
		EngineMgr.uiMgr.GetAsynResByUrl(url, function(){
			imgMode.loadTexture(url, ccui.Widget.PLIST_TEXTURE);
		}, imgMode);
	},
    GetNewEquipTips:function(equip,callBack)
    {
        var item = Q_item.Get(equip.itemModelId);
        var itemGrid = GridUtil.SetItemGrid(null,equip,null,null,null,null,false);
        itemGrid.setPosition(this.imgIcon.getPosition());
        this.addChild(itemGrid,100);
        this._itemGrid = itemGrid;
        /// FIX 重复加入导致错误
        /// [8384] 获得新道具时总会自动打开锻造界面
        if(!this._timerNum)this._timerNum = TimerUtil.TimeUpdate(this._OnTimer, this, 1);
        this._countTime = 5;
        this.labName.SetString("自动穿戴");
        this.lab2.SetString(item.q_name);
        this._callBack = callBack;
        this.btnJoin.setTitleText("穿戴"+"("+this._countTime+")");
    },
    ShowEquipOperationTips:function GBME__SEOT(equip,type,callback){
        this._callBack = callback;

        var item = Q_item.Get(equip.itemModelId);
        var itemGrid = GridUtil.SetItemGrid(null,equip,null,null,null,null,false);
        itemGrid.setPosition(this.imgIcon.getPosition());
        this.addChild(itemGrid,100);
        this._itemGrid = itemGrid;

        this.lab2.SetString(item.q_name);

        var title=btn="";
        switch(type){
            case DuanzaoTypeEnum.EQUIP_UP:
                title = "可强化";
                btn = "前往强化";
                break;
            case DuanzaoTypeEnum.EQUIP_INLAY:
                title = "可镶嵌";
                btn = "前往镶嵌";
                break;
           case DuanzaoTypeEnum.EQUIP_REFINE:
                title = "可精炼";
                btn = "前往精炼";
                break;
        }

        this.labName.SetString(title);
        this.btnJoin.setTitleText(btn);
    },
    ShowTaijiUpgradeTips:function(callback){
        this._callBack = callback;

        var url = "other/zhujiemian/huodongicon/tjzd_btn.png"
        var imgMode = this.imgIcon;
        EngineMgr.uiMgr.GetAsynResByUrl(url, function(){
            imgMode.loadTexture(url, ccui.Widget.PLIST_TEXTURE);
        }, imgMode);
        this.lab2.SetString("太玄阵");
        this.labName.SetString("可升级");
        this.btnJoin.setTitleText("前往升级");
    },

    _OnTimer:function()
    {
        this._countTime--;
        this.btnJoin.setTitleText("穿戴"+"("+this._countTime+")");
        if(this._countTime < 1)
        {
            if( this._callBack )
                this._callBack();
            this.HideSelf();
        }
    },
    HideSelf:function()
    {
        TimerUtil.ClearTimeUpdate(this._timerNum, this);
        this._timerNum = 0;

        if(this._itemGrid)
        {
            this._itemGrid.removeFromParent();
            this._itemGrid = null;
        }
        this._callBack = null;
        this.btnJoin.setTitleText("立即前往");
        EngineMgr.uiMgr.HidePanel(this);
    }
} );
GuildBossMarkExt.PanelName = "GuildBossMarkExt";
PanelClassDic["GuildBossMarkExt"] = GuildBossMarkExt;
