var PifengFrameExt = PifengFrame.extend ( {
	_className:"PifengFrameExt",

    cloakId:null,

    hp:null,
    attack:null,
    defense:null,

    modelId:null,

    id:null,

    power:null,

    isFollow:false,

    isActivat:false,

    spAttri:"",
    spAttriStr:"",
    spAttriNum:"",

    needItemId:null,
    needNum:null,
    getPosStr:"",

	ctor:function(){
		this._super();
	},

    Init:function (){
        GenChongFrame.prototype.Init.call( this );

        this.imgDianji.visible = false;

        this.imgDikuang.visible = false;
        this.gridIcon.visible = false;

        this.imgBg1.removeChild(this.imgBg2);
        this.addChild(this.imgBg2, -1);

        this.imgBg2.visible = false;
        this.imgBg.visible =false;
    },

    SetData:function(info){
	    cc.log("=============SetData=============")
        this.labName.SetText(info.q_name);
        this.cloakId = info.q_id;

        this.id = parseInt(info.q_id.substring(info.q_id.indexOf("_") + 1, info.q_id.length));

        this.modelId = info.q_show;

        this.power = parseInt(Mgr.fightpower.GetFightPower(info.q_attribute));

        this.needItemId = JSON.parse(info.q_activate_need)[0];
        this.needNum = JSON.parse(info.q_activate_need)[1];
        var item = Q_item.Get(this.needItemId);
        var getPosList = JSON.parse(item.q_get_approach);
        this.getPosStr = item.q_output;

        var str=info.q_attribute.substring(1, info.q_attribute.length-1);
        var array=str.split(",");
        for(var i=0;i<array.length;++i){
            array[i]=array[i].split(":");
            switch (array[i][0]){
                case "1":
                    this.attack = array[i][1];
                    break;
                case "2":
                    this.defense = array[i][1];
                    break;
                case "7":
                    this.hp = array[i][1];
                    break;
                case "16":
                    this.spAttri = "经验加成" + parseInt(array[i][1])/100 + "%";
                    break;
                case "15":
                    this.spAttri = "暴击减免比例" + parseInt(array[i][1])/100 + "%";
                    break;
                case "3":
                    this.spAttri = "基础暴击值" + array[i][1];
                    break;
                case "37":
                    this.spAttri = "攻击速度总比例" + parseInt(array[i][1])/100 + "%";
                    break;
                default:
                    this.spAttri = "";
                    break;
            }
        }
        cc.log("===============q_skill====================")
        cc.log(info.q_skill)
        if(info.q_skill){
            var skillId = info.q_skill.toString() + "_" + "1";
            cc.log(skillId)
            var skillInfo = Q_skill_model.Get(skillId);
            cc.log(skillInfo.q_attribute    )
            var str = skillInfo.q_attribute.substring(1, skillInfo.q_attribute.length - 2);
            var array = str.split(",");

            for(var i=0;i<array.length;++i){
                array[i]=array[i].split(":");
                cc.log(array[i][1])
                switch (array[i][0]){
                    case "32":
                        this.spAttri = "暴击总比例" + parseInt(array[i][1])/100 + "%";
                        this.spAttriStr = "暴击总比例";
                        this.spAttriNum = parseInt(array[i][1])/100 + "%";
                        break;
                    case "11":
                        this.spAttri = "伤害加成" + parseInt(array[i][1])/100 + "%";
                        this.spAttriStr = "伤害加成";
                        this.spAttriNum = parseInt(array[i][1])/100 + "%";
                        break;
                    default:
                        this.spAttri = "";
                        break;
                }
            }
        }

    },

    SetSelect:function(bool){
        this.imgDianji.visible = bool;
    },

    SetActivat:function(bool){
        if(bool){
            this.labCue1.SetText("已激活");
            this.imgBg1.visible = false;
            this.imgBg2.visible = true;
            this.isActivat = true;
        }
        else{
            this.labCue1.SetText("未激活");
            this.imgBg1.visible = true;
            this.imgBg2.visible = false;
            this.isActivat = false;
        }
    },

    SetWear:function(bool){
        this.imgDikuang.visible = bool;
        this.isFollow = bool;
    }
} );
PifengFrameExt.PanelName = "PifengFrameExt";
PanelClassDic["PifengFrameExt"] = PifengFrameExt;
