var PifengMainExt = PifengMain.extend ( {
	_className:"PifengMainExt",

    _listView:null,
    _itemList:null,
    _curSelectBtn:null,
    _hashBtnInfo:null,

    type:null,
    showModelId:null,
    model:null,
    id:null,

    nextOpenCloak:null,

    isActivat:false,
    isFollow:false,

	ctor:function(){
		this._super();
        this._itemList = [];
        this._hashBtnInfo = new HashMap();
	},

    Init:function (){
        GenChongMain.prototype.Init.call( this );
        var self = this;

        this.type = HuanhuaType.TYPE_CLOAK;

        this.setTouchEnabled( false );

        this.labCue3.setTouchEnabled(true);
        this.labCue3.addTouchEventListener(function(sender,type)
        {
            if ( type == ccui.Widget.TOUCH_BEGAN )
            {
            }
            else if ( type == ccui.Widget.TOUCH_ENDED )
            {
            }
            else if ( type == ccui.Widget.TOUCH_CANCELED )
            {
            }
        });
        this.btnLevelup.addClickEventListener(function(event){
            var panel = EngineMgr.uiMgr.ShowPanelByType(DuanzaoPanelExt.PanelName);
            panel.ChangePanel(DuanzaoTypeEnum.EQUIP_CLOAK);

            panel.panelMgr[DuanzaoTypeEnum.EQUIP_CLOAK].SetData(self.nextOpenCloak);
        });


        this.InitView();
        // this.InitItem();
    },

    InitView:function(){
        if(!this._listView){
            this._listView = new ccui.ListView();
            this._listView.setDirection(ccui.ScrollView.DIR_VERTICAL);//视图滚动方向
            this._listView.setTouchEnabled(true);					//触摸开启
            this._listView.inertiaScrollEnabled = false; 			//滚动惯性
            this._listView.setScrollBarEnabled(false);				//滚动条
            this._listView.setBounceEnabled(true);					//边界回弹
            // this._listView.setScrollBarAutoHideTime(1);
            this._listView.addEventListener(this._SelectedBtnEvent);
            this.imgBg1.addChild(this._listView);
        }
    },

    InitItemInfo:function(){
        var list = Q_illusion.GetList();
        var t = 0;
        var bool = false;
        for(var i = 0; i < list.length; i++){
            var id = parseInt(list[i].q_id.substring(list[i].q_id.indexOf("_") + 1, list[i].q_id.length));
            if(list[i].q_type == HuanhuaType.TYPE_CLOAK && list[i].q_order > 0){
                this._hashBtnInfo.Put(id, list[i]);
                this._itemList[t].SetData(list[i]);
                t++;
            }
        }
    },

    InitItem:function(illusionInfoList){
        var list = Q_illusion.GetList();
        list.sort(function(a, b){ return a.q_order - b.q_order; });
        var t = 0;
        var bool = false;
        var lastId = 0;
        for(var j = 0; j < illusionInfoList.length; j++){
            this._hashBtnInfo.Put(illusionInfoList[j].illusionId, true);
            if(lastId < illusionInfoList[j].illusionId)
                lastId = illusionInfoList[j].illusionId;
        }

        for(var i = 0; i < list.length; i++){
            var id = parseInt(list[i].q_id.substring(list[i].q_id.indexOf("_") + 1, list[i].q_id.length));
            if(list[i].q_type == HuanhuaType.TYPE_CLOAK && list[i].q_order > 0 && (this._hashBtnInfo.Get(id) ||  list[i].q_need_id == 0)){
                cc.log(list[i].q_type)
                if(!this._itemList[t]){
                    var item = new PifengFrameExt();
                    item.LoadPanel();
                    item.x = 0;
                    item.y = item.uiHeight*(list.length-i-1);
                    this._height = item.uiHeight;
                    this._listView.addChild(item);
                    this._itemList.push(item);
                }
                this._itemList[t].visible = true;
                this._itemList[t].SetData(list[i]);
                if(!this._hashBtnInfo.Get(id))
                    this._itemList[t].isAward = false;
                else
                    this._itemList[t].isAward = true;
                t++;
            }
            if(!this.nextOpenCloak && list[i].q_type == HuanhuaType.TYPE_CLOAK && list[i].q_order > 0 && list[i].q_need_id == lastId){
                if(!this._itemList[t]){
                    var item = new PifengFrameExt();
                    item.LoadPanel();
                    item.x = 0;
                    item.y = item.uiHeight*(list.length-i-1);
                    this._height = item.uiHeight;
                    this._listView.addChild(item);
                    this._itemList.push(item);
                }
                cc.log(list[i].q_need_id + "==== " + lastId);
                this._itemList[t].visible = false;
                this._itemList[t].SetData(list[i]);
                this.nextOpenCloak = this._itemList[t];
                t++;
            }
        }
        this._listView.setSize(cc.size(this.imgBg1.uiWidth, this.imgBg1.uiHeight));
        this._listView.setInnerContainerSize(cc.size(this.imgBg1.uiWidth, this._itemList.length * this._height));
    },

    _SelectedBtnEvent:function(sender, type){
        switch (type) {
            case ccui.ListView.ON_SELECTED_ITEM_END:
                var parent = sender.parent.parent;
                if (parent._curSelectBtn != null) {
                    parent._curSelectBtn.SetSelect(false);
                    parent._curSelectBtn = null;
                }

                var idx = sender.getCurSelectedIndex();
                var btnSelect = sender.getItem(idx);
                parent._curSelectBtn = btnSelect;
                parent.ChangePetInfo();
                btnSelect.SetSelect(true);
                parent.btnSelect = btnSelect;
                break;
            default:
        }
    },

    ChangePetInfo:function(){
        this.labZhandouli1.SetText(this._curSelectBtn.power);
        this.labGongji1.SetText(this._curSelectBtn.attack);
        this.labFangyu1.SetText(this._curSelectBtn.defense);
        this.labHP1.SetText(this._curSelectBtn.hp);
        this.labName1.SetText(this._curSelectBtn.spAttri);
        this.labCue3.SetText(this._curSelectBtn.getPosStr);
        this.ShowModel(this._curSelectBtn.modelId);
        this.imgDiKuang.visible = this._curSelectBtn.isFollow;
        this.id = this._curSelectBtn.id;
        // this.imgDiBg.visible = this._curSelectBtn.isFollow;

        this.showModelId = this._curSelectBtn.modelId;
        this.isActivat = this._curSelectBtn.isActivat;
        this.isFollow = this._curSelectBtn.isFollow;

        if(this.nextOpenCloak){
            if(!this._hashBtnInfo.Get(this._curSelectBtn.id))
                this.btnLevelup.visible = false;
            else
                this.btnLevelup.visible = true;
            // this.btnLevelup.visible = true;
        }
        else{
            this.btnLevelup.visible = false;
        }

        var panel = Mgr.uiMgr.GetPanelByType(PifengPanelExt.PanelName);
        if(panel){
            panel.RefreshBtn();
        }
    },

    RefreshPanel:function(infoList){
	    if(this.nextOpenCloak){
            this.nextOpenCloak = null;
        }

	    this.InitItem(infoList.illusionInfoList);


        if(!this._curSelectBtn){
            this._curSelectBtn = this._itemList[0];
            // this.ChangePetInfo(this._itemList[0].petId);
            this._itemList[0].SetSelect(true);
        }
        for(var i = 0; i < this._itemList.length; i++){
            this._itemList[i].SetActivat(false);
            this._itemList[i].SetWear(false);

            for(var j = 0; j < infoList.illusionInfoList.length; j++){
                if(parseInt(this._itemList[i].id) == parseInt(infoList.illusionInfoList[j].illusionId)){
                    this._itemList[i].SetActivat(true);
                }
            }
            if(this._itemList[i] == this._curSelectBtn){
                this.ChangePetInfo();
            }
            if(parseInt(this._itemList[i].id) == parseInt(infoList.illusionShowId)){
                if(this._curSelectBtn){
                    this._curSelectBtn.SetSelect(false);
                    this._curSelectBtn = null;
                }
                this._curSelectBtn = this._itemList[i];
                this._itemList[i].SetWear(true);
                this.ChangePetInfo();
                this._itemList[i].SetSelect(true);
            }
        }
    },

    ChangeShow:function(id){
        for(var i = 0; i < this._itemList.length; i++){
            this._itemList[i].SetWear(false);
            if(id == this._itemList[i].id){
                this._itemList[i].SetWear(true);
                this.ChangePetInfo();
            }
            else if(id == 0){
                this._itemList[i].SetWear(false);
                this.ChangePetInfo();
            }
        }
    },

    ShowModel:function(showId){
        // if(!this.model){
        //     var model = new MAnimationObject();
        //     this.imgModel.addChild(model);
        //     this.model = model;
        // }
        // this.model.sCurActionName = null;
        // this.model.sResUrlBase = "res/animation/effect/ui/roleshow/part/pifeng/" + (Mgr.mainPlayer.nJobId*1000 + showId);
        // this.model.DoAction("stand", 4);
        if(!this.model){
            this.model = new UIModel((Mgr.mainPlayer.nJobId*1000 + showId), HuanhuaType.TYPE_CLOAK);
            this.model.x = 70;
            this.imgModel.addChild(this.model);
        }
        else{
            this.model.SetModelId(Mgr.mainPlayer.nJobId*1000 + showId);
        }
    },
} );
PifengMainExt.PanelName = "PifengMainExt";
PanelClassDic["PifengMainExt"] = PifengMainExt;
