///////////////////////////////////////////////////////
// 此文件为工具自动生成消息定义文件，请勿做任何修改。//
///////////////////////////////////////////////////////

// 消息子结构

// 请求消息
//118201,ReqPropose 玩家发起求婚
//118202,ReqProposeResponse 求婚回应
//118203,ReqChangeToken 更换信物
//118204,ReqDivorce 发起离婚
//118205,ReqDivorceResponse 离婚回应
//118206,ReqVisitWedding 确认参加婚礼观礼
//118207,ReqChangMarryExterior 请求改变结婚外显

// 接收消息
//118101,ResProposeNotice 被求婚者通知
//118102,ResMarriagePanel 结婚面板
//118103,ResDivorceNotice 被离婚者通知
//118104,ResChangeTokenSuc 更换信物成功
//118105,ResProposeValidSuc 求婚请求验证成功
//118106,ResNoticeVisitor 通知观礼者
//118107,ResVisitZoneMarryInfo 通知观礼者这个副本里哪两个人结婚
//118108,ResMarryExteriorInfo 发送婚姻外观信息


////////////////////
// 被求婚者通知 //
////////////////////
var ResProposeNoticeMessage = cc.Class.extend( {
	ctor:function(){
		this.fromPlayerId = null; // 来源玩家Id
        this.fromPlayerName = null; // 来源玩家名字
        this.itemModel = 0; // 定情信物Id
	},

	getId:function(){
		return 118101;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.fromPlayerId);
        _buf.WriteString(this.fromPlayerName);
        _buf.WriteVarInt(this.itemModel);
	},
	
	reading:function( _buf ){
        this.fromPlayerId = _buf.ReadLong();
        this.fromPlayerName = _buf.ReadString();
        this.itemModel = _buf.ReadVarInt();
	},

	action:function(){
		Mgr.marriage.RecvResProposeNoticeMessage(this);
	},

});
////////////////////
// 结婚面板 //
////////////////////
var ResMarriagePanelMessage = cc.Class.extend( {
	ctor:function(){
		this.marryId = null; // 唯一Id
        this.playerName1 = null; // 玩家1名字
        this.playerJob1 = 0; // 玩家1职业
        this.playerName2 = null; // 玩家2名字
        this.playerJob2 = 0; // 玩家2职业
        this.itemModel = 0; // 定情信物Id
        this.marryTime = 0; // 结婚时间戳（秒）
        this.divorceTime = 0; // 离婚时间戳（秒）
        this.sendType = 0; // 发送状态 0 登录 1结婚 2离婚
	},

	getId:function(){
		return 118102;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.marryId);
        _buf.WriteString(this.playerName1);
        _buf.WriteByte(this.playerJob1);
        _buf.WriteString(this.playerName2);
        _buf.WriteByte(this.playerJob2);
        _buf.WriteVarInt(this.itemModel);
        _buf.WriteVarInt(this.marryTime);
        _buf.WriteVarInt(this.divorceTime);
        _buf.WriteByte(this.sendType);
	},
	
	reading:function( _buf ){
        this.marryId = _buf.ReadLong();
        this.playerName1 = _buf.ReadString();
        this.playerJob1 = _buf.ReadByte();
        this.playerName2 = _buf.ReadString();
        this.playerJob2 = _buf.ReadByte();
        this.itemModel = _buf.ReadVarInt();
        this.marryTime = _buf.ReadVarInt();
        this.divorceTime = _buf.ReadVarInt();
        this.sendType = _buf.ReadByte();
	},

	action:function(){
		Mgr.marriage.RecvResMarriagePanelMessage(this);
	},

});
////////////////////
// 被离婚者通知 //
////////////////////
var ResDivorceNoticeMessage = cc.Class.extend( {
	ctor:function(){
		
	},

	getId:function(){
		return 118103;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		
	},
	
	reading:function( _buf ){
        
	},

	action:function(){
		Mgr.marriage.RecvResDivorceNoticeMessage(this);
	},

});
////////////////////
// 更换信物成功 //
////////////////////
var ResChangeTokenSucMessage = cc.Class.extend( {
	ctor:function(){
		this.itemModel = 0; // 定情信物Id
	},

	getId:function(){
		return 118104;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteVarInt(this.itemModel);
	},
	
	reading:function( _buf ){
        this.itemModel = _buf.ReadVarInt();
	},

	action:function(){
		Mgr.marriage.RecvResChangeTokenSucMessage(this);
	},

});
////////////////////
// 求婚请求验证成功 //
////////////////////
var ResProposeValidSucMessage = cc.Class.extend( {
	ctor:function(){
		this.toPlayerId = null; // 对方玩家Id
        this.toPlayerName = null; // 对方玩家名称
	},

	getId:function(){
		return 118105;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.toPlayerId);
        _buf.WriteString(this.toPlayerName);
	},
	
	reading:function( _buf ){
        this.toPlayerId = _buf.ReadLong();
        this.toPlayerName = _buf.ReadString();
	},

	action:function(){
		Mgr.marriage.RecvResProposeValidSucMessage(this);
	},

});
////////////////////
// 通知观礼者 //
////////////////////
var ResNoticeVisitorMessage = cc.Class.extend( {
	ctor:function(){
		this.zoneId = null; // 副本唯一Id，需回传给服务器
        this.pname1 = null; // 玩家1名字
        this.pname2 = null; // 玩家2名字
        this.pid1 = null; // 玩家1Id
        this.pid2 = null; // 玩家2Id
	},

	getId:function(){
		return 118106;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.zoneId);
        _buf.WriteString(this.pname1);
        _buf.WriteString(this.pname2);
        _buf.WriteLong(this.pid1);
        _buf.WriteLong(this.pid2);
	},
	
	reading:function( _buf ){
        this.zoneId = _buf.ReadLong();
        this.pname1 = _buf.ReadString();
        this.pname2 = _buf.ReadString();
        this.pid1 = _buf.ReadLong();
        this.pid2 = _buf.ReadLong();
	},

	action:function(){
		Mgr.marriage.RecvResNoticeVisitorMessage(this);
	},

});
////////////////////
// 通知观礼者这个副本里哪两个人结婚 //
////////////////////
var ResVisitZoneMarryInfoMessage = cc.Class.extend( {
	ctor:function(){
		this.pid = []; // 哪些人结婚 long
	},

	getId:function(){
		return 118107;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteShort( this.pid.length );
        for (var i = 0; i < this.pid.length; i++) {
            _buf.WriteLong(this.pid[i]);
        }
	},
	
	reading:function( _buf ){
        var pid_length = _buf.ReadShort();
        for (var i = 0; i < pid_length; i++) {
            this.pid[i] = _buf.ReadLong();
        }
	},

	action:function(){
		Mgr.marriage.RecvResVisitZoneMarryInfoMessage(this);
	},

});
////////////////////
// 发送婚姻外观信息 //
////////////////////
var ResMarryExteriorInfoMessage = cc.Class.extend( {
	ctor:function(){
		this.playerId = null; // 玩家id
        this.exteriorId = 0; // 结婚外显id
	},

	getId:function(){
		return 118108;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.playerId);
        _buf.WriteVarInt(this.exteriorId);
	},
	
	reading:function( _buf ){
        this.playerId = _buf.ReadLong();
        this.exteriorId = _buf.ReadVarInt();
	},

	action:function(){
		Mgr.marriage.RecvResMarryExteriorInfoMessage(this);
	},

});
////////////////////
// 玩家发起求婚 //
////////////////////
var ReqProposeMessage = cc.Class.extend( {
	ctor:function(){
		this.toPlayerId = null; // 对方玩家Id
        this.itemModel = 0; // 定情信物Id
        this.validType = 0; // 验证类型(0第一次 1第二次)
	},

	getId:function(){
		return 118201;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.toPlayerId);
        _buf.WriteVarInt(this.itemModel);
        _buf.WriteByte(this.validType);
	},
	
	reading:function( _buf ){
        this.toPlayerId = _buf.ReadLong();
        this.itemModel = _buf.ReadVarInt();
        this.validType = _buf.ReadByte();
	},

});
////////////////////
// 求婚回应 //
////////////////////
var ReqProposeResponseMessage = cc.Class.extend( {
	ctor:function(){
		this.fromPlayerId = null; // 求婚者玩家Id
        this.itemModel = 0; // 定情信物Id
        this.isAgree = 0; // 是否同意(0不同意 1同意)
	},

	getId:function(){
		return 118202;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.fromPlayerId);
        _buf.WriteVarInt(this.itemModel);
        _buf.WriteByte(this.isAgree);
	},
	
	reading:function( _buf ){
        this.fromPlayerId = _buf.ReadLong();
        this.itemModel = _buf.ReadVarInt();
        this.isAgree = _buf.ReadByte();
	},

});
////////////////////
// 更换信物 //
////////////////////
var ReqChangeTokenMessage = cc.Class.extend( {
	ctor:function(){
		this.itemModel = 0; // 信物Id
	},

	getId:function(){
		return 118203;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteVarInt(this.itemModel);
	},
	
	reading:function( _buf ){
        this.itemModel = _buf.ReadVarInt();
	},

});
////////////////////
// 发起离婚 //
////////////////////
var ReqDivorceMessage = cc.Class.extend( {
	ctor:function(){
		this.type = 0; // 0协议离婚 1强制离婚
	},

	getId:function(){
		return 118204;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteByte(this.type);
	},
	
	reading:function( _buf ){
        this.type = _buf.ReadByte();
	},

});
////////////////////
// 离婚回应 //
////////////////////
var ReqDivorceResponseMessage = cc.Class.extend( {
	ctor:function(){
		this.isAgree = 0; // 是否同意(0不同意 1同意)
	},

	getId:function(){
		return 118205;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteByte(this.isAgree);
	},
	
	reading:function( _buf ){
        this.isAgree = _buf.ReadByte();
	},

});
////////////////////
// 确认参加婚礼观礼 //
////////////////////
var ReqVisitWeddingMessage = cc.Class.extend( {
	ctor:function(){
		this.marryId = null; // 婚礼唯一Id
	},

	getId:function(){
		return 118206;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteLong(this.marryId);
	},
	
	reading:function( _buf ){
        this.marryId = _buf.ReadLong();
	},

});
////////////////////
// 请求改变结婚外显 //
////////////////////
var ReqChangMarryExteriorMessage = cc.Class.extend( {
	ctor:function(){
		this.exteriorId = 0; // 0不使用
	},

	getId:function(){
		return 118207;
	},
		
	writeSendHead:function( _buf, sendMsgNum, serverChkTime ){
		_buf.WriteInt( sendMsgNum );
		_buf.WriteInt( this.getId() );
		_buf.WriteInt( serverChkTime );
	},
	
	writing:function( _buf ){
		_buf.WriteVarInt(this.exteriorId);
	},
	
	reading:function( _buf ){
        this.exteriorId = _buf.ReadVarInt();
	},

});
// 接收消息注册
MESSAGE_POOL.Add(118101, ResProposeNoticeMessage);
MESSAGE_POOL.Add(118102, ResMarriagePanelMessage);
MESSAGE_POOL.Add(118103, ResDivorceNoticeMessage);
MESSAGE_POOL.Add(118104, ResChangeTokenSucMessage);
MESSAGE_POOL.Add(118105, ResProposeValidSucMessage);
MESSAGE_POOL.Add(118106, ResNoticeVisitorMessage);
MESSAGE_POOL.Add(118107, ResVisitZoneMarryInfoMessage);
MESSAGE_POOL.Add(118108, ResMarryExteriorInfoMessage);

