var WorldBossPanelExt = WorldBossPanel.extend ( {
	_className:"WorldBossPanelExt",
	modelPanelType:MUIPanelModelType.BLUR,
	isShowTween:true,
	bossList:null,
	boss:null,
	type:1,                  //1本服 2 跨服
	cPanel:null,

	erenguPanel:null,
	zhujiantianxiaPanel:null,

	selcetPanel:null,
    btnList:null,

	ctor:function(){
		this._super();
		Mgr.monster.bossPanel=this;
		this.layoutCom.layoutType = MLLAYOUT_C;
        this.layoutCom.layoutOffy = -27;
	},
	Init:function(){
		WorldBossPanel.prototype.Init.call( this );
        // this.labCue1.visible=false;
        this.btnList = [this.sbtnWordboss, this.sbtnJindi, this.sbtnJilu, this.sbtnBosshome, this.sbtnErengu, this.sbtnZhujiantianxia];
		this._InitProperty();
		this._HandleButton();
        this.imgBg.setTouchEnabled(false);
	},
	_InitProperty:function()
	{
		this.sbtnBosshome.buttonText.SetString("跨服BOSS");
		this.sbtnErengu.setPosition(this.sbtnBosshome.getPosition());
        this.sbtnZhujiantianxia.setPosition(this.sbtnJindi.getPosition());
		this.removeChild(this.sbtnJindi);
		this.removeChild(this.sbtnJilu);
		this.removeChild(this.sbtnBosshome);
		this.cPanel=new WorldBossMainExt();
		this.cPanel.LoadPanel();
		this.imgBg.addChild(this.cPanel);
		this.selcetPanel = this.cPanel;
	},
	_HandleButton:function()
	{
		var self=this;
		this.btnClose.addClickEventListener(function(){
			EngineMgr.uiMgr.HidePanelByType( WorldBossPanelExt.PanelName );
		});
		this.btnGo.addClickEventListener(function(){
			if(!self.boss && self.type == 1){
				cc.log("请选择");
				return;
			}
			else if(!self.boss){
                Mgr.tips.ShowNotice("活动未开启");
                // return;
			}
			if(self.type == 1){
                // Mgr.monster.FindBoss(self.boss);
                var config = Q_boss_world.Get(self.boss.monsterModelId);
                if (config) {
                    var gridpt = new cc.p(config.q_appear_x, config.q_appear_y);
                    Mgr.map.SendReqGoldMapTransMessage(config.q_appear_map);
                    Mgr.mainPlayer.oCtrlAutoPath.targetMapId = config.q_appear_map;
                    Mgr.mainPlayer.oCtrlAutoPath.targetPos = gridpt;
                    cc.log(self.boss.mapModelId + "  "  + gridpt.x + gridpt.y)
                }
                Mgr.monster.curWorldBossInfo = self.boss;
                EngineMgr.uiMgr.HidePanelByType( WorldBossPanelExt.PanelName );
			}
			else if(self.type == 3){
                // Mgr.mainPlayer.oCtrlAutoPath.MoveByCrossMap(1006, cc.p(44,20));
                var activeInfo = Mgr.majorevents.activityHash.Get(EnumZoneActiveType.TYPE_ERENGU);
                if(activeInfo && activeInfo.status == 1){
                    Mgr.zone.SendReqZoneEnterToGameMessage(16001);
                    EngineMgr.uiMgr.HidePanelByType( WorldBossPanelExt.PanelName );
                }
                else
                    Mgr.tips.ShowNotice("活动未开启");
			}
            else if(self.type == 4){
                var activeInfo = Mgr.majorevents.activityHash.Get(EnumZoneActiveType.TYPE_ZHUJIANTIANXIA);
				if(activeInfo && activeInfo.status == 1){
                    // Mgr.mainPlayer.oCtrlAutoPath.MoveByCrossMap(1003, cc.p(56,96));
                    Mgr.map.SendReqGoldMapTransMessage(1003);
                    Mgr.mainPlayer.oCtrlAutoPath.targetMapId = 1003;
                    Mgr.mainPlayer.oCtrlAutoPath.targetPos = cc.p(56,96);
                    EngineMgr.uiMgr.HidePanelByType( WorldBossPanelExt.PanelName );
				}
				else
                    Mgr.tips.ShowNotice("活动未开启");
            }
		});

		this.sbtnWordboss.addClickEventListener(this.ShowWoldBoss.bind(this));
		// this.sbtnBosshome.addClickEventListener(function(){
         //    self.cPanel.visible = true;
         //    if(self.zhujiantianxiaPanel)
         //        self.zhujiantianxiaPanel.visible = false;
         //    if(self.erenguPanel)
         //        self.erenguPanel.visible = false;
         //    self.labCue.visible = true;
		// 	self.type=2;
		// 	self.boss=null;
		// 	self.labCue.SetString("跨服BOSS挑战不受限制");
		// 	self.labCue1.visible=false;
		// 	self.cPanel.Update();
		// });
        this.sbtnErengu.addClickEventListener(this.ShowErengu.bind(this));
        this.sbtnZhujiantianxia.addClickEventListener(this.ShowZhujian.bind(this));
	},

    ShowWoldBoss:function(){
        this.cPanel.visible = true;
        if(this.zhujiantianxiaPanel)
            this.zhujiantianxiaPanel.visible = false;
        if(this.erenguPanel)
            this.erenguPanel.visible = false;
        this.labCue.visible = true;
        this.type=1;
        this.boss=null;
        this.labCue.SetString("本服 BOSS 每日可挑战三次，每日凌晨 5 点重置");
        this.labCue1.visible=true;
        this.labCue2.visible=true;
        this.cPanel.Update();
        this.selcetPanel = this.cPanel;
        this.SetButtonState(this.sbtnWordboss);
    },

    ShowErengu:function(){
        this.type=3;
        this.boss=null;
        // this.labCue.SetString("跨服BOSS挑战不受限制");
        this.labCue1.visible=false;
        this.labCue2.visible=false;
        this.labCue.visible = false;
        // self.cPanel.Update();
        if(!this.erenguPanel){
            this.erenguPanel = new ERenGuMainExt();
            this.erenguPanel.LoadPanel();
            this.imgBg.addChild(this.erenguPanel);
        }
        this.erenguPanel.OnShow();
        this.cPanel.visible = false;
        if(this.zhujiantianxiaPanel)
            this.zhujiantianxiaPanel.visible = false;
        this.erenguPanel.visible = true;
        this.selcetPanel = this.erenguPanel;
        this.SetButtonState(this.sbtnErengu);
    },

    ShowZhujian:function(){
        this.type=4;
        this.boss=null;
        // self.labCue.SetString("跨服BOSS挑战不受限制");
        this.labCue1.visible = false;
        this.labCue2.visible=false;
        this.labCue.visible = false;
        // self.cPanel.Update();
        if(!this.zhujiantianxiaPanel){
            this.zhujiantianxiaPanel = new ZhuJianTianXiaMainExt();
            this.zhujiantianxiaPanel.LoadPanel();
            this.imgBg.addChild(this.zhujiantianxiaPanel);
        }
        this.cPanel.visible = false;
        if(this.erenguPanel)
            this.erenguPanel.visible = false;
        this.zhujiantianxiaPanel.visible = true;
        this.selcetPanel = this.zhujiantianxiaPanel;
        this.SetButtonState(this.sbtnZhujiantianxia);
    },

    SetButtonState:function (btn) {
        for(var i = 0, len = this.btnList.length; i < len; i++){
            var button = this.btnList[i];
            if(btn == button){
                button.SetButtonState("check");
            }else {
                button.SetButtonState("uncheck");
            }
        }
    },

    SetNum:function (num) {
        UIUtil.ConnectLabelHtmlText(this.labCue1,[num,3]);
    },

	OnShow:function(){
		this.boss=null;
        if(Mgr.monster.showType == 1){
            this.ShowWoldBoss();
            Mgr.monster.showType = 0;
        }
        else if(Mgr.monster.showType == 3){
            this.ShowErengu();
            Mgr.monster.showType = 0;
        }
        else if(Mgr.monster.showType == 4){
            this.ShowZhujian();
            Mgr.monster.showType = 0;
        }
        if(this.selcetPanel.Update)
            this.selcetPanel.Update();
        this.selcetPanel.OnShow();
	},
	OnHide:function () {
        this.cPanel.OnHide();
    }
} );
WorldBossPanelExt.PanelName = "WorldBossPanelExt";
PanelClassDic["WorldBossPanelExt"] = WorldBossPanelExt;
