﻿var RefiningModMgr = RefiningModMgr || cc.Class.extend({

	qianhua_mark:false,

	// 宝石最大等级
	_maxStoneLv:9,

	ctor:function() {	
	},

	RecvResRefiningInfoMessage:function(msg) {	
	},

	RecvResStrengthenResultMessage:function(msg) {
		cc.log("------- 返回强化信息 ------- " + JSON.stringify(msg));
		if (msg.type == 0) {  // 强化
			this.qianhua_mark = true;
			if ( msg.suc == 1) {
				Mgr.tips.ShowNotice("强化成功！", TipsEnum.TYPE_UP_HIDE);
				// 替换新数据
				var equips = Mgr.player.mainPlayer.equips;
				for ( var i = 0; i < equips.length; i++ )  {
					if ( equips[i].itemModelId == msg.itemInfo.itemModelId ) {
						equips[i] = msg.itemInfo;
						break;
					}
				}
			}
			else
				Mgr.tips.ShowNotice("强化失败！", TipsEnum.TYPE_UP_HIDE);

			// update panel
			var panel = EngineMgr.uiMgr._GetPanelByName(DuanzaoPanelExt.PanelName);
			if (panel) {
				var page = panel.panelMgr[DuanzaoTypeEnum.EQUIP_UP];
				if (page) {
					if (msg.suc == 1)
						page.gridEquipC.equipV = msg.itemInfo;
					page.SetData();

					// auto up
					if (page.autoUp && msg.suc != 1) {
						TimerUtil.SetTimeout(this, function () {
							page.SendEquipStrengh();
						}, 300);
					}
					else {
						page._ChangeAutoUpState(false);
					}
				}
			}
		}
		else {
			if ( msg.suc == 0)
				cc.log("合成失败");
			var panel = EngineMgr.uiMgr._GetPanelByName(DuanzaoPanelExt.PanelName);
			if (panel) {
				var page = panel.panelMgr[DuanzaoTypeEnum.EQUIP_COMPOSE];
				if (page)
					page.SetData();
			}
		}
	},

	RecvResRefiningResultMessage:function(msg) {	
	},

	SendReqRefiningMessage:function(msg) {	
	},

	SendReqExchangeGodEquipMessage:function(msg) {
	},

	SendReqComposeGodEquipMessage:function( handleType, itemModel, num, itemIdList ) {
		cc.log("----------------------发送合成消息 " + handleType + "  " + itemModel+ "  " + num );
		var msg = new ReqComposeGodEquipMessage();
		msg.handleType = handleType; // 0普通合成(后端自己检测) 1装备合成装备(手动放置)
		msg.itemModel = itemModel; // 物品model
		msg.num = num; // 个数
		msg.itemIdList = itemIdList; // 玩家指定消耗物品的唯一id列表 long
		Mgr.msgMgr.Send(msg);
	},

	SendReqExtendAttributeMessage:function(msg) {	
	},
	//发送装备强化消息
	SendReqStrengthenMessage:function(itemId, isAuto, type) {
		cc.log("----------------------发送装备强化  " + itemId  + " " + isAuto + " " + type) ;
		var msg = new ReqStrengthenMessage();
		msg.itemId = itemId;
		msg.isAuto = isAuto;
		msg.type   = type;
		Mgr.msgMgr.Send(msg);
	},
});