var HuashanTaskPaneExt = HuashanTaskPane.extend ( {
	_className:"HuashanTaskPaneExt",

    timerId:0,
    time:null,

	ctor:function(){
		this._super();
	},

    Init:function(){
        HuashanTaskPane.prototype.Init.call( this );
        this.setTouchEnabled(true);
        this.imgBg21.visible = false;
        var self = this;
        this.addTouchEventListener(function (sender, type) {
            if (type == ccui.Widget.TOUCH_ENDED) {
            }
        });
    },

    InitView:function(){
        if(Mgr.zone.IsInZoneMap()){
            var zoneType = Mgr.sceneMap.ZoneType();
            if(zoneType == EnumZoneType.TYPE_SWORD){ //华山论剑
                this.labFB.SetText("[定时活动] ");
                this.labName.SetText("华山论剑");
                this.InitLabel();
                var activeInfo = Mgr.majorevents.activityHash.Get(EnumZoneActiveType.TYPE_SWORD);
                if(activeInfo){
                    var endTime = activeInfo.startTime + activeInfo.endTime - Mgr.login.GetServerTime()/1000;
                    this.SetTime(endTime);
                }
			}
        }
    },

    InitLabel:function(){
    },

    UpdateView:function(){
		if(Mgr.sword._curlayer < 7){
            this.imgBg3.visible = true;
            this.imgBg21.visible = false;
            UIUtil.ConnectLabelHtmlText(this.labKill, [Mgr.sword._curlayer + "层"]);
            UIUtil.ConnectLabelHtmlText(this.labKill1, [Mgr.sword._myscore + "分"]);
            UIUtil.ConnectLabelHtmlText(this.labKill2, [Mgr.sword._mykillNums + "人"]);
            this.labNum.SetText(Mgr.sword._mykillNums + "/" + Mgr.sword.GetNeedSkill());
            this.progJindutiao3.setPercent(Mgr.sword._mykillNums/Mgr.sword.GetNeedSkill()*100);
            UIUtil.ConnectLabelHtmlText(this.labCeng, [Mgr.sword._curlayer]);
            UIUtil.ConnectLabelHtmlText(this.labCeng1, [Mgr.sword._curlayer+1]);
		}
		else{
            this.imgBg3.visible = false;
            this.imgBg21.visible = true;
            UIUtil.ConnectLabelHtmlText(this.labKill, [Mgr.sword._curlayer + "层"]);
            UIUtil.ConnectLabelHtmlText(this.labKill1, [Mgr.sword._myscore + "分"]);
            if(Mgr.sword.npcOwnerName)
                UIUtil.ConnectLabelHtmlText(this.labKill11, [Mgr.sword.npcOwnerName]);
            else
                UIUtil.ConnectLabelHtmlText(this.labKill11, ["(暂无)"]);
		}
    },

    onEnter:function(){
        this._super();
        this.timerId = TimerUtil.TimeUpdate(this.OnTimer, this, 1);

        this.OnTimer();
    },

    onExit:function(){
        this._super();
        if (this.timerId)
            TimerUtil.ClearTimeUpdate(this.timerId, this);
    },

    SetTime:function(time){
        this.time = time + Mgr.login.GetServerTime()/1000;
    },

    OnTimer:function(){
        if(this.time){
            var time = Math.ceil(this.time - Mgr.login.GetServerTime()/1000);
            if(time > 0)
                this.labTime.SetText(TextUtil.SecondToHMS2(time));
            else
                this.labTime.SetText(TextUtil.SecondToHMS2(0));
        }
    },
} );
HuashanTaskPaneExt.PanelName = "HuashanTaskPaneExt";
PanelClassDic["HuashanTaskPaneExt"] = HuashanTaskPaneExt;
