//获取途径类型
var APPROACHTYPE = APPROACHTYPE || {
    /**
     *商城
     */
    TYPE_SC : 1,
    /**
     *世界BOSS
     */
    TYPE_WORLD_BOSS : 2,
    /**
     *剧情副本
     */
    TYPE_JQ : 3,
    /**
     *进阶副本
     */
    TYPE_JJ : 4,
    /**
     *组队副本
     */
    TYPE_KFDR : 5,
    /**
     *问鼎江湖
     */
    TYPE_WEN : 6,
    /**
     *太极之巅
     */
    TYPE_TAIJI : 7,
	};

var HuoquTujingCueExt = HuoquTujingCue.extend ( {
	_className:"HuoquTujingCueExt",
	btnArr:null,
	posArr:null,

	/***
	 * 依赖面板
	 */
	_dependPanel:null,


	ctor:function(){
		this._super();
	},

	Init:function() {
		HuoquTujingCue.prototype.Init.call(this);
		this.layoutCom.layoutType = MLLAYOUT_C;
		this.layoutCom.layoutOffx = 227;
		//对应q_get_approach顺序 1：商城，2：世界BOSS，3：剧情副本，4：进阶副本，5：组队副本, 6: 问鼎江湖 , 7: 太极之巅
		this.btnArr = [this.btnTanwei, this.btnWorldBoss, this.btnJuqingFB, this.btnJinjieFB, this.btnZuduiFB, this.btnWendingjianghu, this.btnTaijizhidian];
		this.posArr = new Array();
		var self = this;
		for(var i=0; i < this.btnArr.length; i++){
			self.posArr.push(new Position(self.btnArr[i].x, self.btnArr[i].y));
			(function(j){
				self.btnArr[j].addClickEventListener(function () {
					self.ClickBtn(self.btnArr[j]);
				});
			})(i);
		}

		this.btnColse.addClickEventListener(function (event){
			EngineMgr.uiMgr.HidePanelByType( HuoquTujingCueExt.PanelName );
			if (Mgr.uiMgr.IsPanelShowByName(ItemTipsExt.PanelName)) {
				Mgr.uiMgr.GetPanelByType(ItemTipsExt.PanelName).x+=150;
			}
			if (Mgr.uiMgr.IsPanelShowByName(ItemTipsPanelExt.PanelName)) {
				Mgr.uiMgr.GetPanelByType(ItemTipsPanelExt.PanelName).x+=150;
			}
		});
	},

	SetItemMid:function(mid){
		var item = Q_item.Get(mid);
		cc.log("-----------------" + mid + "       " + JSON.stringify(item));
		var approachArr = JSON.parse(item.q_get_approach);
		cc.log("----------------------" + approachArr);
		for(var i=0; i < this.btnArr.length; i++){
			this.btnArr[i].setVisible(false);
		}
		for(i=0; i < approachArr.length; i++){
			this.btnArr[approachArr[i]-1].setVisible(true);
			this.btnArr[approachArr[i]-1].x = this.posArr[i].x;
			this.btnArr[approachArr[i]-1].y = this.posArr[i].y;
		}
	},

	ClickBtn:function ( btn ){
		var type = this.btnArr.indexOf(btn)+1;
		if( type == APPROACHTYPE.TYPE_SC ){
            if(BtnGroupUtil.unOpenAseert(BtnGroupUtil.M_MINIMAP1,BtnGroupUtil.MINIMAP1_SHOP))
            {
                EngineMgr.uiMgr.ShowPanelByType(ShopMainExt.PanelName);
            }
			//EngineMgr.uiMgr.ShowPanelByType(ShopMainExt.PanelName);
		}else if( type == APPROACHTYPE.TYPE_WORLD_BOSS ){
			Mgr.monster.SendReqQueryBossListMessage(3);
		}else if( type == APPROACHTYPE.TYPE_JQ ){
            if(BtnGroupUtil.unOpenAseert(BtnGroupUtil.M_MINIMAP1,BtnGroupUtil.FB_JUQING)){
                EngineMgr.uiMgr.ShowPanelByType(BattlePanelExt.PanelName);
                Mgr.zone.battleZoneBackGroundPanel.ChangeView( EnumZoneType.TYPE_JQ );
            }
			// EngineMgr.uiMgr.ShowPanelByType(BattlePanelExt.PanelName);
			// Mgr.zone.battleZoneBackGroundPanel.ChangeView( EnumZoneType.TYPE_JQ );
		}else if( type == APPROACHTYPE.TYPE_JJ ){
            if(BtnGroupUtil.unOpenAseert(BtnGroupUtil.M_MINIMAP1,BtnGroupUtil.FB_JINJIE)) {
                EngineMgr.uiMgr.ShowPanelByType(BattlePanelExt.PanelName);
                Mgr.zone.battleZoneBackGroundPanel.ChangeView( EnumZoneType.TYPE_JJ );
            }
			// EngineMgr.uiMgr.ShowPanelByType(BattlePanelExt.PanelName);
			// Mgr.zone.battleZoneBackGroundPanel.ChangeView( EnumZoneType.TYPE_JJ );
		}else if( type == APPROACHTYPE.TYPE_KFDR ){
			var isOpen = BtnGroupUtil.unOpenAseert(BtnGroupUtil.M_MINIMAP1,BtnGroupUtil.MINIMAP1_DUORENFB);
			if(isOpen)
			{
				Mgr.crossteam.RequestZoneListData();
			}
		}else if( type == APPROACHTYPE.TYPE_WEN ){
            if(BtnGroupUtil.unOpenAseert(BtnGroupUtil.M_MINIMAP1,BtnGroupUtil.FB_WENDING)) {
                EngineMgr.uiMgr.ShowPanelByType(BattlePanelExt.PanelName);
                Mgr.zone.battleZoneBackGroundPanel.ChangeView( EnumZoneType.TYPE_WD );
            }
        }else if( type == APPROACHTYPE.TYPE_TAIJI ){
            if(BtnGroupUtil.unOpenAseert(BtnGroupUtil.M_MINIMAP4,BtnGroupUtil.MINIMAP4_TAIJI)) {
                EngineMgr.uiMgr.ShowPanelByType(TaijiPanelExt.PanelName);
                Mgr.gossip.taijiPanel.ShowType(EnumGrossipType.TYPE_DAY);
            }
        }

		EngineMgr.uiMgr.HidePanelByType( HuoquTujingCueExt.PanelName );
		EngineMgr.uiMgr.HidePanelByType( ItemTipsPanelExt.PanelName );
		EngineMgr.uiMgr.HidePanelByType( ItemTipsExt.PanelName );
		EngineMgr.uiMgr.HidePanelByType( PlayerPanelExt.PanelName );
		EngineMgr.uiMgr.HidePanelByType( QiannengdanTipsExt.PanelName );
		EngineMgr.uiMgr.HidePanelByType( HuanhuadanTipsExt.PanelName );
        EngineMgr.uiMgr.HidePanelByType( ShuXingDanMainExt.PanelName );
	},

	SetDepend:function (widget) {
		this._dependPanel =  widget;
		// pos
		var pt = cc.p( widget.x + widget.width - widget.width/2 , widget.y + (widget.height - this.height)/2 );
		pt = UIUtil.LocalToGlobel( widget.parent, pt, Mgr.uiMgr.GetLayerByType(this.showLayerType) );
		this.x = pt.x;
		this.y = pt.y;
		widget.x -= widget.width/2;
	},

	OnHide:function () {
		if ( this._dependPanel != null ) {
			this._dependPanel.x += this._dependPanel.width/2;
			this._dependPanel = null;
		}
	},
} );
HuoquTujingCueExt.PanelName = "HuoquTujingCueExt";
PanelClassDic["HuoquTujingCueExt"] = HuoquTujingCueExt;
