var ActiveMarkExt = GuildBossMark.extend ( {
	_className:"ActiveMarkExt",
	_type:0,
	ctor:function(){
		this._super();
		this.layoutCom.layoutType = MLLAYOUT_R;
		this.layoutCom.layoutOffx = -265;
	},

    GetActivityIcon:function(type){
        var url = null;
        switch (type)
        {
            case EnumZoneActiveType.TYPE_GUARDCPITAL:
            {
                url = "other/zhujiemian/huodongicon/swjc_btn.png";
                break;
            }
            case EnumZoneActiveType.TYPE_SWORD:
            {
                url = "other/zhujiemian/huodongicon/hslj_btn.png";
                break;
            }
            case EnumZoneActiveType.TYPE_GUILD:
            {
                url = "other/zhujiemian/huodongicon/bhdt_btn.png";
                break;
            }
            case EnumZoneActiveType.TYPE_GUILDBOSS:
            {
                url = "other/zhujiemian/huodongicon/bangpaishouling.png";
                break;
            }
            case EnumZoneActiveType.TYPE_ZONE:
            {
                url = "other/zhujiemian/huodongicon/yingxiongjueqi.png";
                break;
            }
            case EnumZoneActiveType.TYPE_HUSONG:
            {
                url = "other/zhujiemian/huodongicon/hs_btn.png";
                break;
            }
            case EnumZoneActiveType.TYPE_KINGGUID:
            {
                url = "other/zhujiemian/huodongicon/bangpaizhengba.png";
                break;
            }
            case EnumZoneActiveType.TYPE_KINGNEUTRAL   :
            {
                url = "other/zhujiemian/huodongicon/wangchenglingdi.png";
                break;
            }
            case EnumZoneActiveType.TYPE_MASTERBUCKET:{
                url = "other/zhujiemian/huodongicon/zmdb_btn.png";
                break;
            }
            case EnumZoneActiveType.TYPE_WORLDBOSS:{
                url = "other/zhujiemian/huodongicon/sjBOSS_btn.png";
                break;
            }
            case EnumZoneActiveType.TYPE_ZHUJIANTIANXIA:{
                url = "other/zhujiemian/huodongicon/zhujiantianxia.png";
                break;
            }
            case EnumZoneActiveType.TYPE_ERENGU:{
                url = "other/zhujiemian/huodongicon/erengu.png";
                break;
            }

            default :break;
        }

        return url;
    },

	SetType:function(type,info){
		this._type = type;
		var url = "";
		var data = Mgr.activeMark.GetDataByType(type,info);

        var url = this.GetActivityIcon(type)
		this.lab2.visible = false;
		if(data)
		{
			this.lab2.visible = true;
			this.lab2.SetString(data.q_time);
		}
		var imgMode = this.imgIcon;
		EngineMgr.uiMgr.GetAsynResByUrl(url, function(){
			imgMode.loadTexture(url, ccui.Widget.PLIST_TEXTURE);
		}, imgMode);
	},

	Init:function() {
		var self = this;
		GuildBossMark.prototype.Init.call(this);

		this.btnClose.addClickEventListener(function (event) {
			self.visible = false;
		});
		this.btnJoin.addClickEventListener(function (event) {
			if(self._type == EnumZoneActiveType.TYPE_GUARDCPITAL){
				Mgr.guardcpital.isGoToActive = true;
				Mgr.guardcpital.Fly2ActivityArea();
			}else if(self._type == EnumZoneActiveType.TYPE_SWORD){
				Mgr.sword.SendReqEnterSwordZoneMessage();
			}
			else if(self._type == EnumZoneActiveType.TYPE_GUILD){
				Mgr.chat.curChatChannel = EnumChatChannelType.FACTION;
				Mgr.chat.ShowHideChatPanel(true);
				Mgr.guild.SendReqGuildEnterForbiddenMessage();
			}
			else if(self._type == EnumZoneActiveType.TYPE_ZONE){
				Mgr.zoneteam.RequestZoneListData();
			}
			else if(self._type == EnumZoneActiveType.TYPE_GUILDBOSS){
				Mgr.guild.SendReqGuildEnterForbiddenMessage();
			}
			else if(self._type == EnumZoneActiveType.TYPE_HUSONG){
				Mgr.convoy.FlyNpc();
           }else if(self._type == EnumZoneActiveType.TYPE_KINGGUID
                || self._type == EnumZoneActiveType.TYPE_KINGNEUTRAL
           ){
                Mgr.kingguild.SendReqkingguildClientToGameMessage();
                Mgr.kingneutral.SendReqkingneutralClientToGameMessage();
                EngineMgr.uiMgr.ShowPanelByType(TimeActivitiesPanelExt.PanelName);
           }else if(self._type == EnumZoneActiveType.TYPE_MASTERBUCKET){
                MasterBucketUtil.Fly2ActivityArea();
           }else if(self._type == EnumZoneActiveType.TYPE_WORLDBOSS){
                Mgr.monster.SendReqQueryBossListMessage(0);
           }else if(self._type == EnumZoneActiveType.TYPE_ZHUJIANTIANXIA){
                Mgr.map.SendReqGoldMapTransMessage(1003);
				Mgr.mainPlayer.oCtrlAutoPath.targetMapId = 1003;
				Mgr.mainPlayer.oCtrlAutoPath.targetPos = cc.p(56,96);
           }else if(self._type == EnumZoneActiveType.TYPE_ERENGU){
                Mgr.monster.SendReqQueryBossListMessage(0);
                Mgr.monster.showType = 3;
           }
			self.visible = false;
		});
	},
	OnShow:function()
	{
	}
} );
ActiveMarkExt.PanelName = "ActiveMarkExt";
PanelClassDic["ActiveMarkExt"] = ActiveMarkExt;