var YaoqingCueExt = YaoqingCue.extend ( {
	_className:"YaoqingCueExt",
	data:null,
	_zonetype:0,
	ctor:function(){
		this._super();
		this.layoutCom.layoutType = MLLAYOUT_C;
	},
	Init:function()
	{
		YaoqingCue.prototype.Init.call(this);
		var self = this;
		this.btnYes.addClickEventListener(function()
		{
			self._HandleAgreementEvent();
		});
		this.btnNo.addClickEventListener(function()
		{
			self._HandleRefuseEvent();
		});
		this.btnColse.addClickEventListener(function()
		{
			self._ClosePanel();
		});
	},
	SetInformation:function(data)
	{
		this.data = data;
		var zoneData = Q_zone.Get(data.zoneModel);
		this._zonetype = zoneData.q_zone_type;
		this.labName.SetString(data.name);
		this.labCue.SetString("邀请您挑战"+zoneData.q_name+"副本，是否同意？");
	},
	_HandleAgreementEvent:function()
	{
		this._ClosePanel();
		var type = this._zonetype;
		Mgr.crossteam.AgreementInterface(this.data,true,type);
		if(type == EnumZoneType.TYPE_KFDR)
		{
			Mgr.crossteam.RequestZoneListData();
		}
		else if(type == EnumZoneType.TYPE_LFDR)
		{
			Mgr.zoneteam.RequestZoneListData();
		}
	},
	_HandleRefuseEvent:function()
	{
		var type = this._zonetype;
		if(type == EnumZoneType.TYPE_LFDR)
		{
			//Mgr.zoneteam.SendReqZoneTeamInviteResultToGameMessage(this.data.teamId,0);
		}
		else if(type == EnumZoneType.TYPE_KFDR)
		{
		}
		this._ClosePanel();		//
	},
	_ClosePanel:function()
	{
		EngineMgr.uiMgr.HidePanel( this );
	},
	OnShow:function()
	{
		//this.setPosition(ToolBase.GetWinWidth()-this.width*1.5,100);
	}
} );
YaoqingCueExt.PanelName = "YaoqingCueExt";
PanelClassDic["YaoqingCueExt"] = YaoqingCueExt;
