/**
 * Created by merlin on 2016/7/12.
 */
var TimeUtil = TimeUtil || {
        /**
         * 得到某个距1970的日期秒数距离现在的秒数（服务器时间版本）
         */
        GetDeltaSecondsAtServerNow:function(seconds){
            return seconds - Mgr.login.GetServerTime();
        },
        //年月日时分秒
        GetTimeStr:function(second){
            var date = new Date();
            date.setTime(second*1000);
            var str1=date.toJSON();
            var str="";
            var i=0;
            for(var k in str1)
            {
                if(i==4)
                    str+="年";
                else if(i==7)
                    str+="月";
                else
                    str+=str1[k];
                i++;
                if(i>9)
                    break;
            }
            str+="日";
            var str2=date.toLocaleTimeString();
            str = str+str2;
            return str;
        },
        //年月日
        GetTimeStrForword:function(second){
            var date = new Date();
            date.setTime(second*1000);
            var str1=date.toJSON();
            var str="";
            var i=0;
            for(var k in str1)
            {
                if(i==4)
                    str+="年";
                else if(i==7)
                    str+="月";
                else
                    str+=str1[k];
                i++;
                if(i>9)
                    break;
            }
            str+="日";
            var str2=date.toLocaleTimeString();
            str = str;
            return str;
        },
        //秒转成 天时分秒
        SecondToDHMS:function(second) {
            var D = Math.floor(second / (24*60*60));
            var H =  Math.floor(second/60/60%24);
            var M = Math.floor(second/60%60);
            var S = Math.floor(second%60);

            if(D>0){
                return D+"天"+H+"时"+M+"分"+S+"秒";
            }
            else if(H>0){
                return H+"时"+M+"分"+S+"秒";
            }
            else if(M>0){
                return M+"分"+S+"秒";
            }
            else {
                return S+"秒";
            }
        },
        //秒转成 00:00:00
        SecondToDHMS2:function(second) {
            var S = Math.floor(second % 60);
            second = Math.floor(second / 60);
            var M = second % 60;
            var H = Math.floor(second / 60);
            var strS = S;
            if (S < 10)
                strS = "0" + S;
            var strM = M;
            if (M < 10)
                strM = "0" + M;
            var strH = H;
            if (H < 10)
                strH = "0" + H;
            //if (H > 0)
            return strH + ":" + strM + ":" + strS;
            //if (M > 0)
            //    return strM + ":" + strS;
            //if (S > 0)
            //    return strS;
        },
        //当前年月日
        GetCurrentData:function(secounds)
        {
            if (secounds)
            {
                var date = new Date(secounds*1000);
                cc.log(secounds);
            }
            else
            {
                var date = new Date();
            }
            //var str = date.getFullYear()+"年" + (date.getMonth()+1)+"月"+date.getDate()+"日"+date.getHours()+"时"+date.getMinutes()+"分"+date.getSeconds()+"秒";
            var str = (date.getMonth()+1)+"-"+date.getDate()+"  "+date.getHours()+":"+date.getMinutes();
            return str;
        },

        GetDateStr:function(second, formatStr){
            formatStr = formatStr || "yyyy年MM月dd日 hh:mm:ss";
            var date = new Date(second*1000);
            var o = {
                "M+" : date.getMonth()+1,                 //月份
                "d+" : date.getDate(),                    //日
                "h+" : date.getHours(),                   //小时
                "m+" : date.getMinutes(),                 //分
                "s+" : date.getSeconds(),                 //秒
                "q+" : Math.floor((date.getMonth()+3)/3), //季度
                "S"  : date.getMilliseconds()             //毫秒
            };
            if(/(y+)/.test(formatStr)) {
                formatStr=formatStr.replace(RegExp.$1, (date.getFullYear()+"").substr(4 - RegExp.$1.length));
            }
            for(var k in o) {
                if(new RegExp("("+ k +")").test(formatStr)){
                    formatStr = formatStr.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
                }
            }
            return formatStr;
        }
    }
